Index: server/other/cvsserver/cvsserver-exp.xml
===================================================================
--- server/other/cvsserver/cvsserver-exp.xml	(revision 786d85c0f7ff198b5e558938b57bec67484b239c)
+++ server/other/cvsserver/cvsserver-exp.xml	(revision 8936be41f6319f7ca3a8ea6eabb518f51cfffc9a)
@@ -2,34 +2,36 @@
 <title>Command explanations</title>
 
-<para><userinput>mkdir /cvsroot</userinput> : Create the CVS repository
-directory.</para>
+<para><command>mkdir /cvsroot</command> : Create the <acronym>CVS</acronym> 
+repository directory.</para>
 
-<para><userinput>chmod 1777 /cvsroot</userinput> : Sticky bit
-permissions for CVSROOT.</para>
+<para><command>chmod 1777 /cvsroot</command> : Sticky bit permissions for 
+<envar>CVSROOT</envar>.</para>
 
-<para><userinput>export CVSROOT=/cvsroot</userinput> : Specify new
-CVSROOT for all cvs commands.</para>
+<para><command>export CVSROOT=/cvsroot</command> : Specify new <envar>CVSROOT
+</envar> for all <command>cvs</command> commands.</para>
 
-<para><userinput>cvs init</userinput> : Initialize the new CVS
+<para><command>cvs init</command> : Initialize the new <acronym>CVS</acronym> 
 repository.</para>
 
-<para><userinput>cvs import -m "repository test" cvstest vendortag
-releasetag</userinput> : All source code modules must be imported
-into the CVS repository before use, with the cvs import command.  the
--m flags specifies an initial descriptive entry for the new module.
+<para><command>cvs import -m "repository test" cvstest vendortag
+releasetag</command> : All source code modules must be imported
+into the <acronym>CVS</acronym> repository before use, with the
+<command>cvs import</command> command.  the <userinput>-m</userinput> 
+flags specifies an initial descriptive entry for the new module.
 the "cvstest" parameter is the name used for the module in all
-subsequent cvs commands.  the "vendortag" and "releasetag" parameters
-are used to further identify each CVS module and are mandatory whether
-used or not.</para>
+subsequent <command>cvs</command> commands.  the "vendortag" and "releasetag" 
+parameters are used to further identify each <acronym>CVS</acronym> module and 
+are mandatory whether used or not.</para>
 
-<para><userinput>(grep anonymous /etc/passwd || useradd anonymous -s
-/bin/false)</userinput>  : Check for an existing anonymous user and
+<para><command>(grep anonymous /etc/passwd || useradd anonymous -s
+/bin/false)</command>  : Check for an existing anonymous user and
 create one if not found.</para>
 
-<para><userinput>echo anonymous: &gt; /cvsroot/CVSROOT/passwd
-</userinput> : Add the anonymous user to the CVS passwd file, which is
-unused for anything else in this configuration.</para>
+<para><command>echo anonymous: &gt; /cvsroot/CVSROOT/passwd
+</command> : Add the anonymous user to the <acronym>CVS</acronym> passwd file, 
+which is unused for anything else in this configuration.</para>
 
-<para><userinput>echo anonymous &gt; /cvsroot/CVSROOT/readers</userinput> : Add the anonymous user to the CVS readers file, a list of
+<para><command>echo anonymous &gt; /cvsroot/CVSROOT/readers</command> : Add the 
+anonymous user to the <acronym>CVS</acronym> readers file, a list of
 users who have read only access to the repository.</para>
 
Index: server/other/cvsserver/cvsserver-inst.xml
===================================================================
--- server/other/cvsserver/cvsserver-inst.xml	(revision 786d85c0f7ff198b5e558938b57bec67484b239c)
+++ server/other/cvsserver/cvsserver-inst.xml	(revision 8936be41f6319f7ca3a8ea6eabb518f51cfffc9a)
@@ -1,76 +1,76 @@
 <sect2>
-<title>Setting up a CVS server.</title>
+<title>Setting up a <acronym>CVS</acronym> server.</title>
 
-<para>We will discuss setting up a CVS server using OpenSSH as the
-remote access method.  Other access methods, including :pserver: and
-:server: will not be used for write access to the CVS repository.  The
-:pserver: method sends clear text passwords over the network and the
-:server: method is not supported in all CVS ports.  Instructions for
-anonymous, read only CVS access using :pserver: can be found at the
-end of this section.</para>
+<para>We will discuss setting up a <acronym>CVS</acronym> server using OpenSSH 
+as the remote access method.  Other access methods, including :pserver: and
+:server: will not be used for write access to the <acronym>CVS</acronym> 
+repository.  The :pserver: method sends clear text passwords over the network 
+and the :server: method is not supported in all <acronym>CVS</acronym> ports.  
+Instructions for anonymous, read only <acronym>CVS</acronym> access using 
+:pserver: can be found at the end of this section.</para>
 
-<para>Configuration of our CVS server consists of four steps:</para>
+<para>Configuration of our <acronym>CVS</acronym> server consists of four 
+steps:</para>
 
 <sect3><title>1. Create a repository.</title>
-<para>Create a new CVS repository with the following commands,
-logged in as root:</para>
-<para><screen><userinput>mkdir /cvsroot &amp;&amp;
+<para>Create a new <acronym>CVS</acronym> repository with the following 
+commands, logged in as root:</para>
+<screen><userinput><command>mkdir /cvsroot &amp;&amp;
 chmod 1777 /cvsroot &amp;&amp;
 export CVSROOT=/cvsroot &amp;&amp;
-cvs init</userinput></screen></para></sect3>
+cvs init</command></userinput></screen></sect3>
 
 <sect3><title>2. Import source code into the repository.</title>
 <para>Import a source module into the repository with the following
-commands, issued from a user account on the same machine as the CVS
-repository:</para>
+commands, issued from a user account on the same machine as the 
+<acronym>CVS</acronym> repository:</para>
 
-<para><screen><userinput>export CVSROOT=/cvsroot &amp;&amp;
+<screen><userinput><command>export CVSROOT=/cvsroot &amp;&amp;
 cd sourcedir &amp;&amp;
-cvs import -m "repository test" cvstest vendortag releasetag</userinput></screen></para></sect3>
+cvs import -m "repository test" cvstest vendortag releasetag</command></userinput></screen></sect3>
 
 <sect3><title>3. Verify local repository access.</title>
-<para>Test access to the CVS repository from the same user account
-with the following command:</para>
+<para>Test access to the <acronym>CVS</acronym> repository from the same user 
+account with the following command:</para>
 
-<para><screen><userinput>cvs co cvstest</userinput></screen></para></sect3>
+<screen><userinput><command>cvs co cvstest</command></userinput></screen></sect3>
 
 <sect3><title>4. Verify remote repository access.</title>
-<para>Test access to the CVS repository from a remote machine using a
-user account that has ssh access to the CVS server with the following
-commands:
-<note><para>Replace "servername" with the IP address or host name
-ofthe CVS repository machine.  You will be prompted for the user's
-shellaccount password before CVS checkout can
+<para>Test access to the <acronym>CVS</acronym> repository from a remote 
+machine using a user account that has <command>ssh</command> access to the 
+<acronym>CVS</acronym> server with the following commands:
+<note><para>Replace "servername" with the <acronym>IP</acronym> address or host 
+name ofthe <acronym>CVS</acronym> repository machine.  You will be prompted for 
+the user's shellaccount password before <acronym>CVS</acronym> checkout can
 continue.</para></note></para>
 
 
-<para><screen><userinput>export CVS_RSH=/usr/bin/ssh &amp;&amp;
-cvs -d:ext:servername:/cvsroot co cvstest</userinput></screen></para></sect3>
+<screen><userinput><command>export CVS_RSH=/usr/bin/ssh &amp;&amp;
+cvs -d:ext:servername:/cvsroot co cvstest</command></userinput></screen></sect3>
 </sect2>
 <sect2>
-<title>Configuring CVS for anonymous read only access.</title>
+<title>Configuring <acronym>CVS</acronym> for anonymous read only access.</title>
 
-<para>CVS can be set up to allow anonymous read only access using the
-:pserver: method by logging on as root and executing the following
+<para><acronym>CVS</acronym> can be set up to allow anonymous read only access 
+using the :pserver: method by logging on as root and executing the following
 commands:</para> 
 
-<para><screen><userinput>(grep anonymous /etc/passwd || useradd anonymous -s /bin/false) &amp;&amp;
+<screen><userinput><command>(grep anonymous /etc/passwd || useradd anonymous -s /bin/false) &amp;&amp;
 echo anonymous: &gt; /cvsroot/CVSROOT/passwd &amp;&amp;
-echo anonymous &gt; /cvsroot/CVSROOT/readers</userinput></screen></para>
+echo anonymous &gt; /cvsroot/CVSROOT/readers</command></userinput></screen>
 
-<para>If you use inetd, the following command will add the pserver
-entry to <filename>/etc/inetd.conf</filename>:</para>
+<para>If you use <command>inetd</command>, the following command will add the 
+pserver entry to <filename>/etc/inetd.conf</filename>:</para>
 
-<para><screen><userinput>echo "2401  stream  tcp  nowait  root  /usr/bin/cvs cvs -f \
-        --allow-root=/cvsroot pserver" &gt;&gt; /etc/inetd.conf</userinput></screen></para>
+<screen><userinput><command>echo "2401  stream  tcp  nowait  root  /usr/bin/cvs cvs -f \
+        --allow-root=/cvsroot pserver" &gt;&gt; /etc/inetd.conf</command></userinput></screen>
 
-<para>Issue a <userinput>killall -HUP inetd</userinput> to reread the changed
-<filename>inetd.conf</filename>
-file.</para>
+<para>Issue a <command>killall -HUP inetd</command> to reread the changed
+<filename>inetd.conf</filename> file.</para>
 
-<para>If you use xinetd, the following command will add the pserver
-entry to <filename>/etc/xinetd.conf</filename>:</para>
+<para>If you use <command>xinetd</command>, the following command will add the 
+pserver entry to <filename>/etc/xinetd.conf</filename>:</para>
 
-<para><screen><userinput>cat &gt;&gt; /etc/xinetd.conf &lt;&lt; "EOF"</userinput>
+<screen><userinput><command>cat &gt;&gt; /etc/xinetd.conf &lt;&lt; "EOF"</command>
      service cvspserver
      {
@@ -84,17 +84,18 @@
          server_args = -f --allow-root=/cvsroot pserver
      }
-<userinput>EOF</userinput></screen></para>
-<para>Issue a <userinput>killall -HUP xinetd</userinput> to reread the changed
-<filename>xinetd.conf</filename>
-file.</para>
+<command>EOF</command></userinput></screen>
+<para>Issue a <command>killall -HUP xinetd</command> to reread the changed
+<filename>xinetd.conf</filename> file.</para>
 
 <para>Testing anonymous access to the new repository requires an account
-on another machine that can reach the CVS server via network.  No
-account on the CVS repository is needed.  To test anonymous access to
-the CVS repository log in to another machine as an unprivileged user
-and execute the following command:</para>
+on another machine that can reach the <acronym>CVS</acronym> server via 
+network.  No account on the <acronym>CVS</acronym> repository is needed.  To 
+test anonymous access to the <acronym>CVS</acronym> repository log in to 
+another machine as an unprivileged user and execute the following command:
+</para>
 
-<para><screen><userinput>cvs -d:pserver:anonymous@servername:/cvsroot co cvstest</userinput></screen><note><para>Replace "servername" with the IP
-address or hostname of the CVS server</para></note></para>
+<para><screen><userinput><command>cvs -d:pserver:anonymous@servername:/cvsroot co cvstest</command></userinput></screen>
+<note><para>Replace "servername" with the <acronym>IP</acronym> address or 
+hostname of the <acronym>CVS</acronym> server</para></note></para>
 
 </sect2>
Index: server/other/cvsserver/cvsserver-intro.xml
===================================================================
--- server/other/cvsserver/cvsserver-intro.xml	(revision 786d85c0f7ff198b5e558938b57bec67484b239c)
+++ server/other/cvsserver/cvsserver-intro.xml	(revision 8936be41f6319f7ca3a8ea6eabb518f51cfffc9a)
@@ -1,7 +1,7 @@
 <sect2>
-<title>Running a CVS server</title>
+<title>Running a <acronym>CVS</acronym> server</title>
 
 <para>This section will describe how to set up, administer and secure
-a CVS server.</para>
+a <acronym>CVS</acronym> server.</para>
 
 <screen>CVS server depends on: 