Index: gnome/add/add.xml
===================================================================
--- gnome/add/add.xml	(revision 0f5698f7e5eb276220799afa5878248a5f386ee1)
+++ gnome/add/add.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
@@ -14,5 +14,6 @@
 &eog;
 &nautilus;
-
+&gnome-system-monitor;
+&yelp;
 
 </chapter>
Index: gnome/add/gnome-system-monitor.xml
===================================================================
--- gnome/add/gnome-system-monitor.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
+++ gnome/add/gnome-system-monitor.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
@@ -0,0 +1,11 @@
+<sect1 id="gnome-system-monitor" xreflabel="gnome-system-monitor-&gnome-system-monitor-version;">
+<?dbhtml filename="gnome-system-monitor.html" dir="gnome"?>
+<title>gnome-system-monitor-&gnome-system-monitor-version;</title>
+
+&gnome-system-monitor-intro;
+&gnome-system-monitor-inst;
+&gnome-system-monitor-exp;
+&gnome-system-monitor-desc;
+
+</sect1>
+
Index: gnome/add/monitor/gnome-system-monitor-desc.xml
===================================================================
--- gnome/add/monitor/gnome-system-monitor-desc.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
+++ gnome/add/monitor/gnome-system-monitor-desc.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
@@ -0,0 +1,15 @@
+<sect2>
+<title>Contents</title>
+
+<para>The gnome-system-monitor package contains <userinput>gnome-system-monitor</userinput>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>gnome-system-monitor</title>
+<para>gnome-system-monitor displays the process tree and hardware meters.</para></sect3>
+
+
+</sect2>
+
Index: gnome/add/monitor/gnome-system-monitor-exp.xml
===================================================================
--- gnome/add/monitor/gnome-system-monitor-exp.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
+++ gnome/add/monitor/gnome-system-monitor-exp.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
@@ -0,0 +1,13 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>--localstatedir=/var/lib :</userinput> This command
+puts scrollkeeper files in <filename>/var/lib/scrollkeeper</filename>
+instead of <filename>/opt/gnome2/var/scrollkeeper</filename>.</para>
+
+<para><userinput>--sysconfdir=/etc/gnome :</userinput> This command puts
+configuration files in <filename>/etc/gnome</filename> instead fo
+<filename>/opt/gnome2/etc</filename>.</para>
+
+</sect2>
+
Index: gnome/add/monitor/gnome-system-monitor-inst.xml
===================================================================
--- gnome/add/monitor/gnome-system-monitor-inst.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
+++ gnome/add/monitor/gnome-system-monitor-inst.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Installation of gnome-system-monitor</title>
+
+<para>Install gnome-system-monitor by running the following commands:</para>
+
+<para><screen><userinput>./configure --prefix=/opt/gnome2 --localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
+make &amp;&amp;
+make install</userinput></screen></para>
+
+</sect2>
+
Index: gnome/add/monitor/gnome-system-monitor-intro.xml
===================================================================
--- gnome/add/monitor/gnome-system-monitor-intro.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
+++ gnome/add/monitor/gnome-system-monitor-intro.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
@@ -0,0 +1,16 @@
+<sect2>
+<title>Introduction to gnome-system-monitor</title>
+
+<screen>Download location (HTTP):       <ulink url="&gnome-system-monitor-download-http;"/>
+Download location (FTP):        <ulink url="&gnome-system-monitor-download-ftp;"/>
+Version used:                   &gnome-system-monitor-version;
+Package size:                   &gnome-system-monitor-size;
+Estimated Disk space required:  &gnome-system-monitor-buildsize;</screen>
+
+<para>The gnome-system-monitor package contains procman, GNOME's
+replacement to gtop.</para>
+
+<screen>gnome-system-monitor depends on:
+<xref linkend="libgnomeui"/></screen>
+
+</sect2>
Index: gnome/add/monitor/gnome-system-monitor.ent
===================================================================
--- gnome/add/monitor/gnome-system-monitor.ent	(revision 8945b1ed8e82e628642add629ba309815b655415)
+++ gnome/add/monitor/gnome-system-monitor.ent	(revision 8945b1ed8e82e628642add629ba309815b655415)
@@ -0,0 +1,11 @@
+<!ENTITY gnome-system-monitor SYSTEM "../gnome-system-monitor.xml">
+<!ENTITY gnome-system-monitor-intro SYSTEM "gnome-system-monitor-intro.xml">
+<!ENTITY gnome-system-monitor-inst SYSTEM "gnome-system-monitor-inst.xml">
+<!ENTITY gnome-system-monitor-exp SYSTEM "gnome-system-monitor-exp.xml">
+<!ENTITY gnome-system-monitor-desc SYSTEM "gnome-system-monitor-desc.xml">
+<!ENTITY gnome-system-monitor-config SYSTEM "gnome-system-monitor-config.xml">
+<!ENTITY gnome-system-monitor-buildsize "2.8 MB">
+<!ENTITY gnome-system-monitor-version "2.0.2">
+<!ENTITY gnome-system-monitor-download-http "http://ftp.gnome.org/pub/GNOME/2.0.1/sources/gnome-system-monitor/gnome-system-monitor-2.0.2.tar.gz">
+<!ENTITY gnome-system-monitor-download-ftp "ftp://ftp.gnome.org/pub/GNOME/2.0.1/sources/gnome-system-monitor/gnome-system-monitor-2.0.2.tar.gz">
+<!ENTITY gnome-system-monitor-size "420 KB">
Index: gnome/add/yelp.xml
===================================================================
--- gnome/add/yelp.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
+++ gnome/add/yelp.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
@@ -0,0 +1,11 @@
+<sect1 id="yelp" xreflabel="yelp-&yelp-version;">
+<?dbhtml filename="yelp.html" dir="gnome"?>
+<title>yelp-&yelp-version;</title>
+
+&yelp-intro;
+&yelp-inst;
+&yelp-exp;
+&yelp-desc;
+
+</sect1>
+
Index: gnome/add/yelp/yelp-desc.xml
===================================================================
--- gnome/add/yelp/yelp-desc.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
+++ gnome/add/yelp/yelp-desc.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
@@ -0,0 +1,14 @@
+<sect2>
+<title>Contents</title>
+
+<para>The yelp package contains <userinput>yelp</userinput>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>yelp</title>
+<para>yelp is the GNOME help browser.</para></sect3>
+
+</sect2>
+
Index: gnome/add/yelp/yelp-exp.xml
===================================================================
--- gnome/add/yelp/yelp-exp.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
+++ gnome/add/yelp/yelp-exp.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
@@ -0,0 +1,10 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><userinput>--libexecdir=/opt/gnome2/sbin :</userinput> This command puts
+libexec files in <filename>/opt/gnome2/sbin</filename> instead of
+<filename>/opt/gnome2/libexec</filename>.</para>
+
+
+</sect2>
+
Index: gnome/add/yelp/yelp-inst.xml
===================================================================
--- gnome/add/yelp/yelp-inst.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
+++ gnome/add/yelp/yelp-inst.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Installation of yelp</title>
+
+<para>Install yelp by running the following commands:</para>
+
+<para><screen><userinput>./configure --prefix=/opt/gnome2 --libexecdir=/opt/gnome2/sbin &amp;&amp;
+make &amp;&amp;
+make install </userinput></screen></para>
+
+</sect2>
+
Index: gnome/add/yelp/yelp-intro.xml
===================================================================
--- gnome/add/yelp/yelp-intro.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
+++ gnome/add/yelp/yelp-intro.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
@@ -0,0 +1,16 @@
+<sect2>
+<title>Introduction to yelp</title>
+
+<screen>Download location (HTTP):       <ulink url="&yelp-download-http;"/>
+Download location (FTP):        <ulink url="&yelp-download-ftp;"/>
+Version used:                   &yelp-version;
+Package size:                   &yelp-size;
+Estimated Disk space required:  &yelp-buildsize;</screen>
+
+<para>The yelp package contains the help browser. This is useful for
+viewing help files.</para>
+
+<screen>yelp depends on:
+<xref linkend="libgnomeui"/></screen>
+
+</sect2>
Index: gnome/add/yelp/yelp.ent
===================================================================
--- gnome/add/yelp/yelp.ent	(revision 8945b1ed8e82e628642add629ba309815b655415)
+++ gnome/add/yelp/yelp.ent	(revision 8945b1ed8e82e628642add629ba309815b655415)
@@ -0,0 +1,11 @@
+<!ENTITY yelp SYSTEM "../yelp.xml">
+<!ENTITY yelp-intro SYSTEM "yelp-intro.xml">
+<!ENTITY yelp-inst SYSTEM "yelp-inst.xml">
+<!ENTITY yelp-exp SYSTEM "yelp-exp.xml">
+<!ENTITY yelp-desc SYSTEM "yelp-desc.xml">
+<!ENTITY yelp-config SYSTEM "yelp-config.xml">
+<!ENTITY yelp-buildsize "5.6 MB">
+<!ENTITY yelp-version "1.0.6">
+<!ENTITY yelp-download-http "http://ftp.gnome.org/pub/GNOME/2.0.1/sources/yelp/yelp-1.0.6.tar.gz">
+<!ENTITY yelp-download-ftp "ftp://ftp.gnome.org/pub/GNOME/2.0.1/sources/yelp/yelp-1.0.6.tar.gz">
+<!ENTITY yelp-size "584 KB">
Index: gnome/gnome.ent
===================================================================
--- gnome/gnome.ent	(revision 0f5698f7e5eb276220799afa5878248a5f386ee1)
+++ gnome/gnome.ent	(revision 8945b1ed8e82e628642add629ba309815b655415)
@@ -88,4 +88,6 @@
 <!ENTITY % eog SYSTEM "add/eog/eog.ent">
 <!ENTITY % nautilus SYSTEM "add/nautilus/nautilus.ent">
+<!ENTITY % gnome-system-monitor SYSTEM "add/monitor/gnome-system-monitor.ent">
+<!ENTITY % yelp SYSTEM "add/yelp/yelp.ent">
 %gnome-terminal;
 %gnome-utils;
@@ -95,4 +97,6 @@
 %eog;
 %nautilus;
+%gnome-system-monitor;
+%yelp;
 
 <!-- Other Gnome packages -->
Index: index.xml
===================================================================
--- index.xml	(revision 0f5698f7e5eb276220799afa5878248a5f386ee1)
+++ index.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "20020908">
-<!ENTITY releasedate "September 8th, 2002">
+<!ENTITY version "20020909">
+<!ENTITY releasedate "September 9th, 2002">
 
 <!ENTITY % book SYSTEM "book/book.ent">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 0f5698f7e5eb276220799afa5878248a5f386ee1)
+++ introduction/welcome/changelog.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
@@ -10,4 +10,7 @@
 
 <itemizedlist>
+
+<listitem><para>September 9th, 2002 [larry]: Gnome: Added
+gnome-system-monitor-2.0.2 and yelp-1.0.6.</para></listitem>
 
 <listitem><para>September 8th, 2002 [larry]: Basicnet: Added
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 0f5698f7e5eb276220799afa5878248a5f386ee1)
+++ introduction/welcome/credits.xml	(revision 8945b1ed8e82e628642add629ba309815b655415)
@@ -79,10 +79,11 @@
 cdrdao, cdrtools, cpio, curl, dhcp, DocBook, enlightenment, eog, esound, fcron, fluxbox, FNLIB, gail, gcc, gdbm, GLib2, gmp, gnat, gnome-applets, gnome-common,
 gnome-desktop, gnome-games, gnome-libs, gnome-mime-data, gnome-panel,
-gnome-session, gnome-terminal, gnome-utils, gnome-vfs, GTK+2, gtk-doc,
-gtk-engines, eel, imlib, intltool, j2sdk, lame, libao, libart_lgpl,
+gnome-session, gnome-system-monitor, gnome-terminal, gnome-utils, gnome-vfs, GTK+2, gtk-doc, gtk-engines, eel, imlib, intltool, j2sdk, lame, libao, libart_lgpl,
 libbonobo, libbonoboui, libglade, libgnome, libgnomecanvas,
 libgnomeprint, libgnomeprintui, libgnomeui, libgtkhtml, libgtop, libIDL,
 libogg, librep, librsvg, libvorbis, libwnck, libxml2, libxslt, libzvt,
-linc, mutt, nautilus, OpenSSH, ORBit, ORBit2, Pango, pccts, pcre, pkgconfig, postfix, procmail, Python, QT, rep-gtk, ruby, sawfish, scrollkeeper, unzip, vorbis-tools, wget, XFce and zip: <emphasis>Larry Lawrence</emphasis></para></listitem>
+linc, mutt, nautilus, OpenSSH, ORBit, ORBit2, Pango, pccts, pcre,
+pkgconfig, postfix, procmail, Python, QT, rep-gtk, ruby, sawfish,
+scrollkeeper, unzip, vorbis-tools, wget, XFce, yelp and zip: <emphasis>Larry Lawrence</emphasis></para></listitem>
 
 <listitem><para>CDParanoia, mpg123, SDL and XMMS: <emphasis>Jeroen