Index: server/major/apache.xml
===================================================================
--- server/major/apache.xml	(revision 7712824f11b3aadef04a4521227e6c9758a44863)
+++ server/major/apache.xml	(revision 8961d128632e700b3f33511bcc3a64f1f4d07713)
@@ -8,8 +8,8 @@
   <!ENTITY apache-download-http "http://archive.apache.org/dist/httpd/httpd-&apache-version;.tar.bz2">
   <!ENTITY apache-download-ftp  "ftp://apache.mirrors.pair.com/httpd/httpd-&apache-version;.tar.bz2">
-  <!ENTITY apache-md5sum        "016cec97337eccead2aad6a7c27f2e14">
+  <!ENTITY apache-md5sum        "16eadc59ea6b38af33874d300973202e">
   <!ENTITY apache-size          "4.9 MB">
-  <!ENTITY apache-buildsize     "100 MB">
-  <!ENTITY apache-time          "2.0 SBU">
+  <!ENTITY apache-buildsize     "102 MB (building all available DSO modules)">
+  <!ENTITY apache-time          "2.1 SBU (building all available DSO modules)">
 ]>
 
@@ -63,4 +63,8 @@
         url="&patch-root;/httpd-&apache-version;-config-1.patch"/></para>
       </listitem>
+      <listitem>
+        <para>Required patch: <ulink
+        url="&patch-root;/httpd-&apache-version;-bdb51-1.patch"/></para>
+      </listitem>
     </itemizedlist>
 
@@ -69,4 +73,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional"><xref linkend="openldap"/>,
+    <xref linkend="openssl"/> (also used in the bundled APR-util),
     <xref linkend="pcre"/>,
     <xref linkend="rsync"/>,
@@ -79,11 +84,13 @@
     APR-util)</bridgehead>
     <para role="optional"><!-- <xref linkend="pkgconfig"/>, -->
-    <xref linkend="openssl"/>,
     <xref linkend="expat"/>,
     <!-- <xref linkend="gdbm"/>, -->
     <xref linkend="db"/>,
     <xref linkend="unixodbc"/>,
-    <xref linkend="postgresql"/>, and
-    <xref linkend="sqlite"/></para>
+    <xref linkend="mysql"/>,
+    <xref linkend="postgresql"/>,
+    <xref linkend="sqlite"/>,
+    <ulink url="http://www.oracle.com/us/products/database/index.html">Oracle 11g</ulink>, and
+    <ulink url="http://www.freetds.org/">FreeTDS</ulink></para>
 
     <para>Though you can install APR and APR-util as separate components,
@@ -127,5 +134,5 @@
       <command>./configure --help</command> and include whatever parameters
       are necessary to the <command>configure</command> command below to build
-      the modules required for your installation. There are as many as 62
+      the modules required for your installation. There are as many as 65
       additional parameters you can add to the <command>configure</command>
       command to build additional modules. Some of the extra parameters which
@@ -142,14 +149,41 @@
 
       <para>While it is not built by default when using the following commands,
-      the ISAPI DSO module can be created by adding the <option>--enable-isapi</option>
-      option. Even the module will compile, install and load fine, the module is
+      the ISAPI DSO module can be created by adding the
+      <option>--enable-isapi</option> option. Even though the module will
+      compile, install and load fine, the module is
       <emphasis>only</emphasis> supported and functional in Win32
       environments.</para>
     </note>
 
+    <note>
+      <para>You may see warnings and other information similar to the output
+      shown below while running the <command>autoconf</command> program in the
+      following instructions:</para>
+<screen><computeroutput>configure.in:152: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
+../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
+../../lib/autoconf/general.m4:2591: _AC_COMPILE_IFELSE is expanded from...
+../../lib/autoconf/general.m4:2607: AC_COMPILE_IFELSE is expanded from...
+build/apr_common.m4:491: APR_TRY_COMPILE_NO_WARNING is expanded from...
+build/apu-conf.m4:215: APU_FIND_LDAP is expanded from...
+configure.in:152: the top level
+configure.in:162: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
+../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
+../../lib/autoconf/general.m4:2591: _AC_COMPILE_IFELSE is expanded from...
+../../lib/autoconf/general.m4:2607: AC_COMPILE_IFELSE is expanded from...
+build/apr_common.m4:491: APR_TRY_COMPILE_NO_WARNING is expanded from...
+build/apu-iconv.m4:115: APU_CHECK_ICONV_INBUF is expanded from...
+build/apu-iconv.m4:34: APU_FIND_ICONV is expanded from...
+configure.in:162: the top level</computeroutput></screen>
+    </note>
+
     <para>Build and install <application>Apache</application> by running the
     following commands:</para>
 
-<screen><userinput>./configure --enable-layout=FHS \
+<screen><userinput>patch -Np1 -i ../httpd-&apache-version;-bdb51-1.patch &amp;&amp;
+pushd srclib/apr-util &amp;&amp;
+autoconf &amp;&amp;
+popd &amp;&amp;
+
+./configure --enable-layout=FHS \
             --enable-mods-shared=all \
             --enable-so &amp;&amp;
@@ -173,12 +207,7 @@
     <title>Command Explanations</title>
 
-    <!-- This is not required any longer. Finds and uses system installed
-         version of Expat without any issues
-    <para><option>-with-expat=/usr</option>: Uses the system installed
-    <application>expat</application>. <emphasis role="strong">If you have
-    installed  <application>expat</application> and do not use this switch, the
-    <application>Apache</application> installation may overwrite some files
-    from the <application>expat</application> installation.</emphasis></para>
-    -->
+    <para><command>autoconf</command>: This command generates a new
+    <command>configure</command> script required after installing the
+    <filename>bdb</filename> patch.</para>
 
     <para><parameter>--enable-mods-shared=all</parameter>: The modules
@@ -191,6 +220,6 @@
     module and enable SSL support. This parameter is mentioned as one of many
     parameters which can be passed to the <command>configure</command> command
-    to create additional DSO modules. Note that it really only affects the
-    APR-Util sub-package, which the HTTPD installation then uses.</para>
+    to create additional DSO modules.<!-- Note that it really only affects the
+    APR-Util sub-package, which the HTTPD installation then uses.--></para>
 
     <para><option>--with-pcre</option>: Add this parameter to use the system
@@ -209,5 +238,10 @@
     the bundled version of <application>APR-util</application> (required for
     <application>Berkeley DB</application> back-end support in
-    <application>Subversion</application>).</para>
+    <application>Subversion</application>). If you are using
+    <application>Berkeley DB</application>-5.1, change the first parameter to
+    <option>--with-dbm=db51</option>.</para>
+
+    <para><option>--with-mysql</option>: Add this parameter to use the system
+    installed version of <application>MySQL</application>.</para>
 
     <para><command>chown root:root ...</command>: This command changes the
@@ -259,13 +293,4 @@
       <application>Apache</application> HTTP server configuration file.</para>
 
-<!--
-      <para>There's a problem with the ISAPI DSO module caused from compiling
-      with <application>GCC</application>-&gcc-version;. If you included the
-      parameter to build the module, comment out the module's load command
-      in the configuration file with the following command:</para>
-
-<screen role="root"><userinput>sed -i "s/^LoadModule isapi_module/# &amp;/" \
-    /etc/apache/httpd.conf</userinput></screen>
--->
     </sect3>
 
@@ -297,10 +322,11 @@
 
       <seglistitem>
-        <seg>ab, apachectl, apr-config, apu-config, apxs, checkgid, dbmmanage,
-        htdbm, htdigest, htpasswd, httpd, instdso.sh, logresolve, and
-        rotatelogs</seg>
-        <seg>libapr-1.{so,a}, libaprutil-1.{so,a}, and /usr/lib/apache/*.so</seg>
-        <seg>/etc/apache, /srv/www, /usr/include/apache, /usr/lib/apache, and
-        /var/log/apache</seg>
+        <seg>ab, apachectl, apr-1-config, apu-1-config, apxs, checkgid,
+        dbmmanage, htcacheclean, htdbm, htdigest, htpasswd, httpd, httxt2dbm,
+        logresolve, rotatelogs, and suexec</seg>
+        <seg>libapr-1.{so,a}, libaprutil-1.{so,a}, apr_{dbd,ldap} database
+        modules, and numerous DSO modules</seg>
+        <seg>/etc/apache, /srv/www, /usr/include/apache, /usr/lib/apache,
+        /usr/lib/apr-util-1, and /var/log/apache</seg>
       </seglistitem>
     </segmentedlist>
@@ -335,4 +361,26 @@
       </varlistentry>
 
+      <varlistentry id="apr-1-config">
+        <term><command>apr-1-config</command></term>
+        <listitem>
+          <para>is a simple script that provides information about the
+          installed APR program.</para>
+          <indexterm zone="apache apr-1-config">
+            <primary sortas="b-apr-1-config">apr-1-config</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="apu-1-config">
+        <term><command>apu-1-config</command></term>
+        <listitem>
+          <para>is a simple script that provides information about the
+          installed APR-Util program.</para>
+          <indexterm zone="apache apu-1-config">
+            <primary sortas="b-apu-1-config">apu-1-config</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="apxs">
         <term><command>apxs</command></term>
@@ -346,4 +394,17 @@
       </varlistentry>
 
+      <varlistentry id="checkgid">
+        <term><command>checkgid</command></term>
+        <listitem>
+          <para>is a program that checks whether it can setgid to the group
+          specified. This is to see if it is a valid group for Apache2 to use
+          at runtime. If the user (should be run as superuser) is in that
+          group, or can setgid to it, it will return 0.</para>
+          <indexterm zone="apache checkgid">
+            <primary sortas="b-checkgid">checkgid</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="dbmmanage">
         <term><command>dbmmanage</command></term>
@@ -353,4 +414,24 @@
           <indexterm zone="apache dbmmanage">
             <primary sortas="b-dbmmanage">dbmmanage</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="htcacheclean">
+        <term><command>htcacheclean</command></term>
+        <listitem>
+          <para>is used to clean up the disk cache.</para>
+          <indexterm zone="apache htcacheclean">
+            <primary sortas="b-htcacheclean">htcacheclean</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="htdbm">
+        <term><command>htdbm</command></term>
+        <listitem>
+          <para>is used to manipulate the DBM password databases.</para>
+          <indexterm zone="apache htdbm">
+            <primary sortas="b-htdbm">htdbm</primary>
           </indexterm>
         </listitem>
@@ -391,11 +472,11 @@
       </varlistentry>
 
-      <varlistentry id="instdso.sh">
-        <term><command>instdso.sh</command></term>
-        <listitem>
-          <para>is a script which installs <application>Apache</application>
-          DSO modules.</para>
-          <indexterm zone="apache instdso.sh">
-            <primary sortas="b-instdso.sh">instdso.sh</primary>
+      <varlistentry id="httxt2dbm">
+        <term><command>httxt2dbm</command></term>
+        <listitem>
+          <para>is used to generate DBM files from text input, for use in
+          RewriteMap.</para>
+          <indexterm zone="apache httxt2dbm">
+            <primary sortas="b-httxt2dbm">httxt2dbm</primary>
           </indexterm>
         </listitem>
@@ -424,4 +505,15 @@
       </varlistentry>
 
+      <varlistentry id="suexec">
+        <term><command>suexec</command></term>
+        <listitem>
+          <para>is used by the <application>Apache HTTP</application> Server
+          to switch to another user before executing CGI programs.</para>
+          <indexterm zone="apache suexec">
+            <primary sortas="b-suexec">suexec</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
     </variablelist>
 