Index: packages.ent
===================================================================
--- packages.ent	(revision 28dc83d2c196e81db1eb91886c3acb88691b64af)
+++ packages.ent	(revision 9063b654d5dc6716bbecd6c256dab425bf710b86)
@@ -1070,5 +1070,5 @@
 <!ENTITY fontforge-version            "20230101">
 <!ENTITY gimp-version                 "20240711">
-<!ENTITY gimp-help-version            "2.10.34">
+<!ENTITY gimp-help-version            "20240711">
 <!ENTITY gparted-version              "1.6.0">
 <!ENTITY hexchat-version              "2.16.2">
Index: xsoft/other/gimp.xml
===================================================================
--- xsoft/other/gimp.xml	(revision 28dc83d2c196e81db1eb91886c3acb88691b64af)
+++ xsoft/other/gimp.xml	(revision 9063b654d5dc6716bbecd6c256dab425bf710b86)
@@ -7,8 +7,8 @@
   <!ENTITY gimp-download-http "https://anduin.linuxfromscratch.org/BLFS/gimp/gimp3-&gimp-version;.tar.xz">
   <!ENTITY gimp-download-ftp  " ">
-  <!ENTITY gimp-md5sum        "9080dd305a66974d430f23761b9d0197">
-  <!ENTITY gimp-size          "639 MB">
-  <!ENTITY gimp-buildsize     "1.1 GB (197 MB installed)">
-  <!ENTITY gimp-time          "0.5 SBU (Using parallelism=28)">
+  <!ENTITY gimp-md5sum        "17fcd0bfc8e66fc61d672b4409cb3e3a">
+  <!ENTITY gimp-size          "26 MB">
+  <!ENTITY gimp-buildsize     "456 MB (162 MB installed)">
+  <!ENTITY gimp-time          "1.2 SBU (Using parallelism=4)">
 
   <!-- pro-tem, a pull of gimp-help, https://gitlab.gnome.org/GNOME/gimp-help.git
@@ -28,15 +28,14 @@
 
        After you've completed this, run a test build, and upload the tarball to
-       anduin.-->
-
-  <!ENTITY gimp-help-version    "&gimp-version;">
-<!--  <!ENTITY gimp-help-download   "&sources-anduin-http;/gimp/gimp-help-&gimp-help-version;.tar.xz"> -->
-  <!ENTITY gimp-help-download   "https://download.gimp.org/pub/gimp/help/gimp-help-&gimp-help-version;.tar.bz2">
-  <!ENTITY gimp-help-md5sum     "5e393d61c802e73ffe6c550759ed0853">
-  <!ENTITY gimp-help-size       "158 MB">
-  <!ENTITY gimp-help-buildsize  "From 412 MB (en only) to 1.8 GB (for all
-                                 languages)">
-  <!ENTITY gimp-help-time       "2.1 SBU (en only), 13 SBU, with parallelism=4,
-                                 for all languages">
+       anduin.
+   *** Review after gim3 stable is released.
+       -->
+
+  <!ENTITY gimp-help-version   "&gimp-version;">
+  <!ENTITY gimp-help-download  "https://anduin.linuxfromscratch.org/BLFS/gimp/gimp3-help-&gimp-help-version;.tar.xz">
+  <!ENTITY gimp-help-md5sum    "162d57a67ff737ed221a8d7f274d119f">
+  <!ENTITY gimp-help-size      "129 MB">
+  <!ENTITY gimp-help-buildsize "From 351 MB (74 MB installed) for en only to 722 MB (1.5 GB installed) for all languages">
+  <!ENTITY gimp-help-time      "0.4 SBU (en only); 5.1 SBU for all languages; using parallelism=4">
 ]>
 
@@ -44,6 +43,5 @@
   <?dbhtml filename="gimp.html" ?>
 
-
-  <title>Gimp-&gimp-version;</title>
+  <title>gimp-&gimp-version;</title>
 
   <indexterm zone="gimp">
@@ -60,4 +58,11 @@
     </para>
 
+    <note>
+      <para>
+        This package is a snapshot of the upcoming stable release of 
+        gimp3. It avoids several deprecated dependencies, notably gtk2.
+      </para>
+    </note>
+
     &lfs121_checked;
 
@@ -97,14 +102,5 @@
 
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-<!--
-    <note>
-      <para>
-       The creation of local html files with recent versions of the necessary
-       packages is somewhat broken (some png images are not sourced by the
-       generated HTML, only their captions are visible).
-      </para>
-    </note>
--->
-<!--
+
     <note>
       <para>
@@ -114,5 +110,4 @@
     </note>
 
-
     <itemizedlist spacing="compact">
       <listitem>
@@ -142,5 +137,5 @@
       </listitem>
     </itemizedlist>
--->
+
     <bridgehead renderas="sect3">Gimp Dependencies</bridgehead>
 
@@ -189,5 +184,4 @@
       <command>sendmail</command> program),
       <xref linkend="gtk-doc"/>,
-<!--      <ulink url="https://people.freedesktop.org/~hughsient/appstream-glib">appstream-glib</ulink>,-->
       <ulink url="https://github.com/ianlancetaylor/libbacktrace">libbacktrace</ulink>,
       <ulink url="https://github.com/strukturag/libheif/">libheif</ulink> with
@@ -198,5 +192,4 @@
     </para>
 
-<!--
     <bridgehead renderas="sect4">Optional, for building the help system</bridgehead>
     <para role="optional">
@@ -206,5 +199,4 @@
       to optimize the png files, but see the note on the help download above
     </para>
--->
   </sect2>
 
@@ -223,11 +215,10 @@
 ninja</userinput></screen>
 
-<!--
+
     <para>
       To test the results (requires an X-Windowed terminal) issue:
-      <command>make check</command>.-->
-      <!-- km: in 2.10.16 no failures, 2 tests were skipped 
-
-    </para> -->
+      <command>ninja test</command>.
+      <!-- In 3.0-pre 2 failures, gimp:app/save-and-export and gimp:app/ui; bdubbs -->
+    </para> 
 
     <para>
@@ -239,5 +230,4 @@
   </sect2>
 
-<!--
   <sect2 role="installation">
     <title>Installation of Gimp-Help</title>
@@ -245,5 +235,6 @@
     <para>
       The <filename>gimp-help</filename> tarball contains images and English
-      text help for help files, together with translations. --><!--
+      text help for help files, together with translations. 
+      <!--
       The documentation generated by gimp-help-2.10.34 and online help have
       the same contents, so I comment this out. [pierre Nov. 2023]
@@ -254,16 +245,15 @@
       open the html in your browser by going to <ulink
       url="https://docs.gimp.org/2.10/en/">https://docs.gimp.org/2.10/en</ulink>
-     (change the language code if desired).
-    </para>-->
-
-    <!--<para>
-      If you nevertheless wish to install local copies of the help files to read
-      offline, u--><!--Unpack the <filename>gimp-help</filename> tarball
-      and change into the root of the newly created source tree. Prepare for
-      the build with the following command:
-    </para>
-
-<screen><userinput>ALL_LINGUAS=&quot;ca cs da de en en_GB es fa fr hr ko lt nl nn pt pt_BR ro sl sv uk zh_CN&quot; \
-./configure - -prefix=/usr</userinput></screen>
+     (change the language code if desired).-->
+      If you wish to install local copies of the help files to read
+      offline, unpack the <filename>gimp-help</filename> tarball
+      and change into the root of the newly created source tree.
+    </para>
+
+<screen><userinput>tar -xf ../../gimp3-help-&gimp-help-version;.tar.xz &amp;&amp;
+cd gimp3-help-&gimp-help-version;
+
+ALL_LINGUAS=&quot;ca cs da de en en_GB es fa fr hr ko lt nl nn pt pt_BR ro sl sv uk zh_CN&quot; \
+./configure --prefix=/usr</userinput></screen>
 
     <para>
@@ -280,13 +270,11 @@
 
     <para>
-      Issue the following commands as the
-      <systemitem class="username">root</systemitem> user to install the help
-      files:
+      Issue the following commands as the &root; user to install the help files:
     </para>
 
 <screen role="root"><userinput>make install &amp;&amp;
-chown -R root:root /usr/share/gimp/2.0/help</userinput></screen>
--->
-<!--
+chown -R root:root /usr/share/gimp/3.0/help</userinput></screen>
+
+
   </sect2>
   <sect2 role="commands" id="gimp-cmd-explanations">
@@ -298,13 +286,4 @@
       Remove the codes of any languages you do not wish to build.
     </para>
-
-    <para>
-      <parameter>- -disable-python</parameter>: This option is necessary if
-      you have not installed <application>PyGTK</application>.
-    </para>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/gtk-doc-rebuild.xml"/>
-
   </sect2>
 
@@ -316,18 +295,11 @@
 
       <para>
-        <filename>/etc/gimp/2.0/*</filename> and
-        <filename>~/.gimp-2.8/gimprc</filename>
+        <filename>/etc/gimp/3.0/*</filename> 
       </para>
 
       <indexterm zone="gimp gimp-config">
-        <primary sortas="e-AA.gimp-2.0/gimprc">~/.g/GIMP/2.10/*</primary>
+        <primary sortas="e-etc-gimp-3.0-star">/etc/gimp/3.0/*</primary>
       </indexterm>
-
-      <indexterm zone="gimp gimp-config">
-        <primary sortas="e-etc-gimp-2.0-star">/etc/gimp/2.0/*</primary>
-      </indexterm>
-
     </sect3>
-
   </sect2>
 
@@ -342,20 +314,27 @@
       <seglistitem>
         <seg>
-          gimp (symlink), gimp-2.10,
-          gimp-console (symlink), gimp-console-2.10,
-          gimp-test-clipboard-2.0, and
-          gimptool-2.0
+          gimp-2.99,
+          gimp-console-2.99,
+          gimptool-2.99, 
+          gimp-test-clipboard-2.99, and
+          gimp-script-fu-interpreter-3.0
         </seg>
         <seg>
-          libgimp-2.0.so, libgimpbase-2.0.so, libgimpcolor-2.0.so,
-          libgimpconfig-2.0.so, libgimpmath-2.0.so, libgimpmodule-2.0.so,
-          libgimpthumb-2.0.so, libgimpui-2.0.so, and libgimpwidgets-2.0.so
+          libgimp-3.0.so, 
+          libgimp-scriptfu-3.0,
+          libgimpbase-3.0.so, 
+          libgimpcolor-3.0.so,
+          libgimpconfig-3.0.so, 
+          libgimpmath-3.0.so, 
+          libgimpmodule-3.0.so,
+          libgimpui-3.0.so, and 
+          libgimpwidgets-3.0.so
         </seg>
         <seg>
           /etc/gimp,
-          /usr/include/gimp-2.0,
-          /usr/{lib,share}/gimp,
-          /usr/share/gtk-doc/html/libgimp{,base,color,config}, and
-          /usr/share/gtk-doc/html/libgimp{math,module,thumb,widgets}
+          /usr/include/gimp-3.0,
+          /usr/lib/gimp/3.0,
+          /usr/share/gimp/3.0, and
+          /usr/share/doc/gimp-2.99
         </seg>
       </seglistitem>
@@ -366,5 +345,5 @@
       <?dbfo list-presentation="list"?>
       <?dbhtml list-presentation="table"?>
-
+<!--
       <varlistentry id="gimp-prog">
         <term><command>gimp</command></term>
@@ -378,7 +357,7 @@
         </listitem>
       </varlistentry>
-
-      <varlistentry id="gimp-2.10">
-        <term><command>gimp-2.10</command></term>
+-->
+      <varlistentry id="gimp-2.99">
+        <term><command>gimp-2.99</command></term>
         <listitem>
           <para>
@@ -386,10 +365,10 @@
             of image formats and provides a large selection of tools
           </para>
-          <indexterm zone="gimp gimp-2.10">
-            <primary sortas="b-gimp-2.10">gimp-2.10</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
+          <indexterm zone="gimp gimp-2.99">
+            <primary sortas="b-gimp-2.99">gimp-2.99</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+<!--
       <varlistentry id="gimp-console">
         <term><command>gimp-console</command></term>
@@ -403,6 +382,6 @@
         </listitem>
       </varlistentry>
-
-      <varlistentry id="gimp-console-2.10">
+-->
+      <varlistentry id="gimp-console-2.99">
         <term><command>gimp-console-2.10</command></term>
         <listitem>
@@ -412,28 +391,28 @@
             <option>- -no-interface</option> command-line option
           </para>
-          <indexterm zone="gimp gimp-console-2.10">
-            <primary sortas="b-gimp-console-2.10">gimp-console-2.10</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="gimptool-2.0">
-        <term><command>gimptool-2.0</command></term>
+          <indexterm zone="gimp gimp-console-2.99">
+            <primary sortas="b-gimp-console-2.99">gimp-console-2.99</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gimptool-2.99">
+        <term><command>gimptool-2.99</command></term>
         <listitem>
           <para>
             is a tool that can build plug-ins or scripts and install them
             if they are distributed in one source file.
-            <command>gimptool-2.0</command> can also be used by programs that
+            <command>gimptool-2.88</command> can also be used by programs that
             need to know what libraries and include-paths The
             <application>Gimp</application> was compiled with
           </para>
-          <indexterm zone="gimp gimptool-2.0">
-            <primary sortas="b-gimptool-2.0">gimptool-2.0</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libgimp-2.0">
-        <term><filename class="libraryfile">libgimp-2.0.so</filename></term>
+          <indexterm zone="gimp gimptool-2.99">
+            <primary sortas="b-gimptool-2.99">gimptool-2.99</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimp-3.0">
+        <term><filename class="libraryfile">libgimp-3.0.so</filename></term>
         <listitem>
           <para>
@@ -442,12 +421,12 @@
             and to functionality provided by plug-ins
           </para>
-          <indexterm zone="gimp libgimp-2.0">
-            <primary sortas="c-libgimp-2.0">libgimp-2.0.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libgimpbase-2.0">
-        <term><filename class="libraryfile">libgimpbase-2.0.so</filename></term>
+          <indexterm zone="gimp libgimp-3.0">
+            <primary sortas="c-libgimp-3.0">libgimp-3.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimpbase-3.0">
+        <term><filename class="libraryfile">libgimpbase-3.0.so</filename></term>
         <listitem>
           <para>
@@ -458,12 +437,12 @@
             handling data files and accessing the environment
           </para>
-          <indexterm zone="gimp libgimpbase-2.0">
-            <primary sortas="c-libgimpbase-2.0">libgimpbase-2.0.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libgimpcolor-2.0">
-        <term><filename class="libraryfile">libgimpcolor-2.0.so</filename></term>
+          <indexterm zone="gimp libgimpbase-3.0">
+            <primary sortas="c-libgimpbase-3.0">libgimpbase-3.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimpcolor-3.0">
+        <term><filename class="libraryfile">libgimpcolor-3.0.so</filename></term>
         <listitem>
           <para>
@@ -472,24 +451,24 @@
             performing adaptive supersampling on an area
           </para>
-          <indexterm zone="gimp libgimpcolor-2.0">
-            <primary sortas="c-libgimpcolor-2.0">libgimpcolor-2.0.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libgimpconfig-2.0">
-        <term><filename class="libraryfile">libgimpconfig-2.0.so</filename></term>
+          <indexterm zone="gimp libgimpcolor-3.0">
+            <primary sortas="c-libgimpcolor-3.0">libgimpcolor-3.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimpconfig-3.0">
+        <term><filename class="libraryfile">libgimpconfig-3.0.so</filename></term>
         <listitem>
           <para>
             contains C functions for reading and writing config information
           </para>
-          <indexterm zone="gimp libgimpconfig-2.0">
-            <primary sortas="c-libgimpconfig-2.0">libgimpconfig-2.0.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libgimpmath-2.0">
-        <term><filename class="libraryfile">libgimpmath-2.0.so</filename></term>
+          <indexterm zone="gimp libgimpconfig-3.0">
+            <primary sortas="c-libgimpconfig-3.0">libgimpconfig-3.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimpmath-3.0">
+        <term><filename class="libraryfile">libgimpmath-3.0.so</filename></term>
         <listitem>
           <para>
@@ -498,12 +477,12 @@
             vectors and the MD5 message-digest algorithm
           </para>
-          <indexterm zone="gimp libgimpmath-2.0">
-            <primary sortas="c-libgimpmath-2.0">libgimpmath-2.0.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libgimpmodule-2.0">
-        <term><filename class="libraryfile">libgimpmodule-2.0.so</filename></term>
+          <indexterm zone="gimp libgimpmath-3.0">
+            <primary sortas="c-libgimpmath-3.0">libgimpmath-3.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimpmodule-3.0">
+        <term><filename class="libraryfile">libgimpmodule-3.0.so</filename></term>
         <listitem>
           <para>
@@ -512,12 +491,12 @@
             searchpath
           </para>
-          <indexterm zone="gimp libgimpmodule-2.0">
-            <primary sortas="c-libgimpmodule-2.0">libgimpmodule-2.0.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libgimpthumb-2.0">
-        <term><filename class="libraryfile">libgimpthumb-2.0.so</filename></term>
+          <indexterm zone="gimp libgimpmodule-3.0">
+            <primary sortas="c-libgimpmodule-3.0">libgimpmodule-3.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimpthumb-3.0">
+        <term><filename class="libraryfile">libgimpthumb-3.0.so</filename></term>
         <listitem>
           <para>
@@ -525,12 +504,12 @@
             <application>Gimp</application>'s thumbnail objects
           </para>
-          <indexterm zone="gimp libgimpthumb-2.0">
-            <primary sortas="c-libgimpthumb-2.0">libgimpthumb-2.0.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libgimpui-2.0">
-        <term><filename class="libraryfile">libgimpui-2.0.so</filename></term>
+          <indexterm zone="gimp libgimpthumb-3.0">
+            <primary sortas="c-libgimpthumb-3.0">libgimpthumb-3.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimpui-3.0">
+        <term><filename class="libraryfile">libgimpui-3.0.so</filename></term>
         <listitem>
           <para>
@@ -538,12 +517,12 @@
             interface functions
           </para>
-          <indexterm zone="gimp libgimpui-2.0">
-            <primary sortas="c-libgimpui-2.0">libgimpui-2.0.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libgimpwidgets-2.0">
-        <term><filename class="libraryfile">libgimpwidgets-2.0.so</filename></term>
+          <indexterm zone="gimp libgimpui-3.0">
+            <primary sortas="c-libgimpui-3.0">libgimpui-3.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libgimpwidgets-3.0">
+        <term><filename class="libraryfile">libgimpwidgets-3.0.so</filename></term>
         <listitem>
           <para>
@@ -552,6 +531,6 @@
             manipulation functions
           </para>
-          <indexterm zone="gimp libgimpwidgets-2.0">
-            <primary sortas="c-libgimpwidgets-2.0">libgimpwidgets-2.0.so</primary>
+          <indexterm zone="gimp libgimpwidgets-3.0">
+            <primary sortas="c-libgimpwidgets-3.0">libgimpwidgets-3.0.so</primary>
           </indexterm>
         </listitem>
@@ -561,4 +540,3 @@
 
   </sect2>
--->
 </sect1>