Index: index.xml
===================================================================
--- index.xml	(revision 0f065b2ff652d187eaa6d621fa82c033382a5254)
+++ index.xml	(revision 9079fba68e99f2b83967d51d660b90f5e6d94306)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "20030803">
-<!ENTITY releasedate "August  3rd, 2003">
+<!ENTITY version "20030804">
+<!ENTITY releasedate "August  4th, 2003">
 
 <!ENTITY % book SYSTEM "book/book.ent">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 0f065b2ff652d187eaa6d621fa82c033382a5254)
+++ introduction/welcome/changelog.xml	(revision 9079fba68e99f2b83967d51d660b90f5e6d94306)
@@ -10,4 +10,7 @@
 
 <itemizedlist>
+
+<listitem><para>August 4th, 2003 [larry]: multimedia: update to
+esound-0.2.30.</para></listitem>
 
 <listitem><para>August 3rd, 2003 [larry]: basicnet: updated to
Index: multimedia/libdriv/esound/esound-config.xml
===================================================================
--- multimedia/libdriv/esound/esound-config.xml	(revision 0f065b2ff652d187eaa6d621fa82c033382a5254)
+++ multimedia/libdriv/esound/esound-config.xml	(revision 9079fba68e99f2b83967d51d660b90f5e6d94306)
@@ -9,5 +9,5 @@
 
 <para>Instructions and information about the configuration file is
-located in the TIPS file in the esound source directory.</para>
+located in the <filename>TIPS</filename> file in the esound source directory.</para>
 </sect3>
 
Index: multimedia/libdriv/esound/esound-desc.xml
===================================================================
--- multimedia/libdriv/esound/esound-desc.xml	(revision 0f065b2ff652d187eaa6d621fa82c033382a5254)
+++ multimedia/libdriv/esound/esound-desc.xml	(revision 9079fba68e99f2b83967d51d660b90f5e6d94306)
@@ -2,8 +2,8 @@
 <title>Contents</title>
 
-<para>The esound package contains <userinput>esd</userinput>,
-<userinput>esdcat</userinput>, <userinput>esdctl</userinput>,
-<userinput>esdloop</userinput>, <userinput>esdmon</userinput>,
-<userinput>esdrec</userinput>, <userinput>esdsample</userinput> and
+<para>The esound package contains <command>esd</command>,
+<command>esdcat</command>, <command>esdctl</command>,
+<command>esdloop</command>, <command>esdmon</command>,
+<command>esdrec</command>, <command>esdsample</command> and
 <filename>libesd</filename> libraries.</para>
 
@@ -13,25 +13,25 @@
 
 <sect3><title>esd</title>
-<para>esd is the Enlightened Sound Daemon.</para></sect3>
+<para><command>esd</command> is the Enlightened Sound Daemon.</para></sect3>
 
 <sect3><title>esdcat</title>
-<para>esdcat plays a raw audio stream through the daemon.</para></sect3>
+<para><command>esdcat</command> plays a raw audio stream through the daemon.</para></sect3>
 
 <sect3><title>esdctl</title>
-<para>esdctl controls certain aspects of the sound daemon.</para></sect3>
+<para><command>esdctl</command> controls certain aspects of the sound daemon.</para></sect3>
 
 <sect3><title>esdloop</title>
-<para>esdloop is test scaffolding for sample cache, loop, and
+<para><command>esdloop</command> is test scaffolding for sample cache, loop, and
 free.</para></sect3>
 
 <sect3><title>esdmon</title>
-<para>esdmon outputs the mixed stream from the daemon.</para></sect3>
+<para><command>esdmon</command> outputs the mixed stream from the daemon.</para></sect3>
 
 <sect3><title>esdrec</title>
-<para>esdrec outputs from the sound device's current
+<para><command>esdrec</command> outputs from the sound device's current
 input.</para></sect3>
 
 <sect3><title>esdsample</title>
-<para>esdsample is test scaffolding for sample cache, play back, and
+<para><command>esdsample</command> is test scaffolding for sample cache, play back, and
 free.</para></sect3>
 
Index: multimedia/libdriv/esound/esound-exp.xml
===================================================================
--- multimedia/libdriv/esound/esound-exp.xml	(revision 0f065b2ff652d187eaa6d621fa82c033382a5254)
+++ multimedia/libdriv/esound/esound-exp.xml	(revision 9079fba68e99f2b83967d51d660b90f5e6d94306)
@@ -2,5 +2,5 @@
 <title>Command explanations</title>
 
-<para><userinput>--sysconfdir=/etc</userinput> : This command put
+<para><command>--sysconfdir=/etc</command> : This command put
 esounds configuration files in <filename>/etc</filename> instead of
 <filename>/use/etc</filename>.</para>
Index: multimedia/libdriv/esound/esound-inst.xml
===================================================================
--- multimedia/libdriv/esound/esound-inst.xml	(revision 0f065b2ff652d187eaa6d621fa82c033382a5254)
+++ multimedia/libdriv/esound/esound-inst.xml	(revision 9079fba68e99f2b83967d51d660b90f5e6d94306)
@@ -1,10 +1,10 @@
 <sect2>
-<title>Installation of esound</title>
+<title>Installation of <application>esound</application></title>
 
-<para>Install esound by running the following commands:</para>
+<para>Install <application>esound</application> by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
+<para><screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
 make &amp;&amp;
-make install</userinput></screen></para>
+make install</command></userinput></screen></para>
 
 </sect2>
Index: multimedia/libdriv/esound/esound-intro.xml
===================================================================
--- multimedia/libdriv/esound/esound-intro.xml	(revision 0f065b2ff652d187eaa6d621fa82c033382a5254)
+++ multimedia/libdriv/esound/esound-intro.xml	(revision 9079fba68e99f2b83967d51d660b90f5e6d94306)
@@ -1,11 +1,4 @@
 <sect2>
 <title>Introduction to esound</title>
-
-<screen>Download location (HTTP):       <ulink url="&esound-download-http;"/>
-Download location (FTP):        <ulink url="&esound-download-ftp;"/>
-Version used:                   &esound-version;
-Package size:                   &esound-size;
-Estimated Disk space required:  &esound-buildsize;
-Estimated build time:           &esound-time;</screen>
 
 <para>The esound package contains Enlightened Sound Daemon. This is
@@ -13,6 +6,17 @@
 by a single device.</para>
 
-<screen>esound depends on:
-<xref linkend="audiofile"/></screen>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&esound-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&esound-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &esound-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &esound-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &esound-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>esound</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="audiofile"/></para></sect4>
+</sect3>
 
 </sect2>
Index: multimedia/libdriv/esound/esound.ent
===================================================================
--- multimedia/libdriv/esound/esound.ent	(revision 0f065b2ff652d187eaa6d621fa82c033382a5254)
+++ multimedia/libdriv/esound/esound.ent	(revision 9079fba68e99f2b83967d51d660b90f5e6d94306)
@@ -5,8 +5,8 @@
 <!ENTITY esound-desc SYSTEM "esound-desc.xml">
 <!ENTITY esound-config SYSTEM "esound-config.xml">
-<!ENTITY esound-buildsize "2.3 MB">
-<!ENTITY esound-version "0.2.29">
-<!ENTITY esound-download-http "http://ftp.gnome.org/pub/GNOME/sources/esound/0.2/esound-0.2.29.tar.bz2">
-<!ENTITY esound-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/esound/0.2/esound-0.2.29.tar.bz2">
+<!ENTITY esound-buildsize "3.0 MB">
+<!ENTITY esound-version "0.2.30">
+<!ENTITY esound-download-http "http://ftp.gnome.org/pub/GNOME/sources/esound/0.2/esound-0.2.30.tar.bz2">
+<!ENTITY esound-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/esound/0.2/esound-0.2.30.tar.bz2">
 <!ENTITY esound-size "348 KB">
 <!ENTITY esound-time "0.17 SBU">