Index: postlfs/config/autofs.xml
===================================================================
--- postlfs/config/autofs.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/config/autofs.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -22,5 +22,5 @@
     <keywordset>
       <keyword role="package">autofs-&autofs-version;.tar</keyword>
-      <keyword role="ftptdir">autofs</keyword>
+      <keyword role="ftpdir">autofs</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/editors/bluefish.xml
===================================================================
--- postlfs/editors/bluefish.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/editors/bluefish.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">bluefish-&bluefish-version;.tar</keyword>
-      <keyword role="ftptdir">bluefish</keyword>
+      <keyword role="ftpdir">bluefish</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/editors/ed.xml
===================================================================
--- postlfs/editors/ed.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/editors/ed.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">ed-&ed-version;.tar</keyword>
-      <keyword role="ftptdir">ed</keyword>
+      <keyword role="ftpdir">ed</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/editors/emacs.xml
===================================================================
--- postlfs/editors/emacs.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/editors/emacs.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">emacs-&emacs-version;.tar</keyword>
-      <keyword role="ftptdir">emacs</keyword>
+      <keyword role="ftpdir">emacs</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/editors/joe.xml
===================================================================
--- postlfs/editors/joe.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/editors/joe.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">joe-&joe-version;.tar</keyword>
-      <keyword role="ftptdir">joe</keyword>
+      <keyword role="ftpdir">joe</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/editors/nano.xml
===================================================================
--- postlfs/editors/nano.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/editors/nano.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">nano-&nano-version;.tar</keyword>
-      <keyword role="ftptdir">nano</keyword>
+      <keyword role="ftpdir">nano</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/editors/vim.xml
===================================================================
--- postlfs/editors/vim.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/editors/vim.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">vim-&vim-version;.tar</keyword>
-      <keyword role="ftptdir">vim</keyword>
+      <keyword role="ftpdir">vim</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/filesystems/reiser.xml
===================================================================
--- postlfs/filesystems/reiser.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/filesystems/reiser.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">reiserfsprogs-&reiser-version;.tar</keyword>
-      <keyword role="ftptdir">reiserfsprogs</keyword>
+      <keyword role="ftpdir">reiserfsprogs</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/filesystems/xfs.xml
===================================================================
--- postlfs/filesystems/xfs.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/filesystems/xfs.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">xfsprogs-&xfsprogs-version;.src.tar</keyword>
-      <keyword role="ftptdir">xfsprogs</keyword>
+      <keyword role="ftpdir">xfsprogs</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/security/cracklib.xml
===================================================================
--- postlfs/security/cracklib.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/security/cracklib.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -24,5 +24,5 @@
     <keywordset>
       <keyword role="package">cracklib-&cracklib-version;.tar</keyword>
-      <keyword role="ftptdir">cracklib</keyword>
+      <keyword role="ftpdir">cracklib</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/security/cyrus-sasl.xml
===================================================================
--- postlfs/security/cyrus-sasl.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/security/cyrus-sasl.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">cyrus-sasl-&cyrus-sasl-version;.tar</keyword>
-      <keyword role="ftptdir">cyrus-sasl</keyword>
+      <keyword role="ftpdir">cyrus-sasl</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/security/gnupg.xml
===================================================================
--- postlfs/security/gnupg.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/security/gnupg.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">gnupg-&gnupg-version;.tar</keyword>
-      <keyword role="ftptdir">gnupg</keyword>
+      <keyword role="ftpdir">gnupg</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/security/heimdal.xml
===================================================================
--- postlfs/security/heimdal.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/security/heimdal.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">heimdal-&heimdal-version;.tar</keyword>
-      <keyword role="ftptdir">heimdal</keyword>
+      <keyword role="ftpdir">heimdal</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/security/iptables.xml
===================================================================
--- postlfs/security/iptables.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/security/iptables.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">iptables-&iptables-version;.tar</keyword>
-      <keyword role="ftptdir">iptables</keyword>
+      <keyword role="ftpdir">iptables</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/security/linux-pam.xml
===================================================================
--- postlfs/security/linux-pam.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/security/linux-pam.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -22,5 +22,5 @@
     <keywordset>
       <keyword role="package">Linux-PAM-&linux-pam-version;.tar</keyword>
-      <keyword role="ftptdir">Linux-PAM</keyword>
+      <keyword role="ftpdir">Linux-PAM</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/security/mitkrb.xml
===================================================================
--- postlfs/security/mitkrb.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/security/mitkrb.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">krb5-&mitkrb-version;-signed.tar</keyword>
-      <keyword role="ftptdir">krb5</keyword>
+      <keyword role="ftpdir">krb5</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/security/openssl.xml
===================================================================
--- postlfs/security/openssl.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/security/openssl.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">openssl-&openssl-version;.tar</keyword>
-      <keyword role="ftptdir">openssl</keyword>
+      <keyword role="ftpdir">openssl</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/security/shadow.xml
===================================================================
--- postlfs/security/shadow.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/security/shadow.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">shadow-&shadow-version;.tar</keyword>
-      <keyword role="ftptdir">shadow</keyword>
+      <keyword role="ftpdir">shadow</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/security/stunnel.xml
===================================================================
--- postlfs/security/stunnel.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/security/stunnel.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -22,5 +22,5 @@
     <keywordset>
       <keyword role="package">stunnel-&stunnel-version;.tar</keyword>
-      <keyword role="ftptdir">stunnel</keyword>
+      <keyword role="ftpdir">stunnel</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/security/sudo.xml
===================================================================
--- postlfs/security/sudo.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/security/sudo.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">sudo-&sudo-version;.tar</keyword>
-      <keyword role="ftptdir">sudo</keyword>
+      <keyword role="ftpdir">sudo</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/security/tripwire.xml
===================================================================
--- postlfs/security/tripwire.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/security/tripwire.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">tripwire-&tripwire-version;.tar</keyword>
-      <keyword role="ftptdir">tripwire</keyword>
+      <keyword role="ftpdir">tripwire</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/shells/ash.xml
===================================================================
--- postlfs/shells/ash.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/shells/ash.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">ash-&ash-version;.tar</keyword>
-      <keyword role="ftptdir">ash</keyword>
+      <keyword role="ftpdir">ash</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/shells/tcsh.xml
===================================================================
--- postlfs/shells/tcsh.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/shells/tcsh.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">tcsh-&tcsh-version;.tar</keyword>
-      <keyword role="ftptdir">tcsh</keyword>
+      <keyword role="ftpdir">tcsh</keyword>
     </keywordset>
   </sect1info>
Index: postlfs/shells/zsh.xml
===================================================================
--- postlfs/shells/zsh.xml	(revision 33d90fe98ebcf77b518c821b21ea369418c9e5a5)
+++ postlfs/shells/zsh.xml	(revision 9084c2ebd81100ef5247389637965fd16bf5a004)
@@ -21,5 +21,5 @@
     <keywordset>
       <keyword role="package">zsh-&zsh-version;.tar</keyword>
-      <keyword role="ftptdir">zsh</keyword>
+      <keyword role="ftpdir">zsh</keyword>
     </keywordset>
   </sect1info>