Index: x/wm/xfce/xfce-desc.xml
===================================================================
--- x/wm/xfce/xfce-desc.xml	(revision 5efa9dbd11c865693585254f72c7ac7a82bcb89d)
+++ x/wm/xfce/xfce-desc.xml	(revision 9153a4db72493c80f5ee37b06ee484f8ffe7f49d)
@@ -3,14 +3,24 @@
 
 <para>The <application>XFce</application> package contains 
-<command>xfce-mcs-manager</command>, <command>xfce4-about</command>,
-<command>xfce-setting-show</command>, <command>xfce4-panel</command>,
+<command>startxfce4</command>,
+<command>xfce-mcs-manager</command>,
+<command>xfce-setting-show</command>,
+<command>xfce4-about</command>,
+<command>xfce4-panel</command>,
 <command>xfdesktop</command>,
-<command>xfhelp4</command>, <command>xflock4</command>,
-<command>xfmountdev4</command>, <command>xfrun4</command>,
-<command>xfsamba4</command>, <command>xftaskbar4</command>,
-<command>xfterm4</command>, <command>xftrash4</command>, 
-<command>xftree4</command>, <command>xfwm4</command> and
-<filename>libxfce4mcs</filename>, <filename>libxfce4util</filename>,
-and <filename>libxfcegui4</filename> libraries.</para>
+<command>xfhelp4</command>,
+<command>xflock4</command>,
+<command>xfmountdev4</command>,
+<command>xfrun4</command>,
+<command>xfsamba4</command>,
+<command>xftaskbar4</command>,
+<command>xfterm4</command>,
+<command>xftrash4</command>, 
+<command>xftree4</command>,
+<command>xfwm4</command> and
+<filename>libxfce4mcs-client</filename>,
+<filename>libxfce4mcs-manager</filename>,
+<filename>libxfce4util</filename>, and 
+<filename>libxfcegui4</filename> libraries.</para>
 
 </sect2>
@@ -80,5 +90,3 @@
 <application>X11</application>.</para></sect3>
 
-
 </sect2>
-
Index: x/wm/xfce/xfce-inst.xml
===================================================================
--- x/wm/xfce/xfce-inst.xml	(revision 5efa9dbd11c865693585254f72c7ac7a82bcb89d)
+++ x/wm/xfce/xfce-inst.xml	(revision 9153a4db72493c80f5ee37b06ee484f8ffe7f49d)
@@ -60,5 +60,5 @@
 <para>Modules not installed above are: dbh-1.0.15 (required for xffm),
 gtk-xfce-engine-2.1.6, xfce-mcs-plugins, xfce4-iconbox, xfce4-mixer,
-xfce4-systray, sxfce4-themes, xfce4-toys, xfce4-trigger-launcher, xffm,
+xfce4-systray, xfce4-themes, xfce4-toys, xfce4-trigger-launcher, xffm,
 xffm-icons, xfprint, and xfwm4-themes.</para>
 
Index: x/wm/xfce/xfce-intro.xml
===================================================================
--- x/wm/xfce/xfce-intro.xml	(revision 5efa9dbd11c865693585254f72c7ac7a82bcb89d)
+++ x/wm/xfce/xfce-intro.xml	(revision 9153a4db72493c80f5ee37b06ee484f8ffe7f49d)
@@ -19,10 +19,11 @@
 <sect3><title><application>XFce</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="xfree86"/>, <xref linkend="GTK2"/>, <xref
-linkend="pkgconfig"/> and <xref linkend="libxml2"/></para></sect4>
+<para><xref linkend="GTK2"/> and <xref
+linkend="libxml2"/></para></sect4>
 <sect4><title>Optional</title>
-<para><xref linkend="imlib"/>, <xref linkend="libpng"/>,
-<xref linkend="libjpeg"/>, <xref linkend="libungif"/> and <xref
-linkend="libtiff"/></para></sect4>
+<para><xref linkend="imlib"/>, <xref linkend="libungif"/>, <xref
+linkend="libgtkhtml"/> and <ulink
+url="http://www.freedesktop.org/Software/startup-notification">startup-notification</ulink>
+</para></sect4>
 </sect3>
 
Index: x/wm/xfce/xfce.ent
===================================================================
--- x/wm/xfce/xfce.ent	(revision 5efa9dbd11c865693585254f72c7ac7a82bcb89d)
+++ x/wm/xfce/xfce.ent	(revision 9153a4db72493c80f5ee37b06ee484f8ffe7f49d)
@@ -4,8 +4,8 @@
 <!ENTITY xfce-config SYSTEM "xfce-config.xml">
 <!ENTITY xfce-desc SYSTEM "xfce-desc.xml">
-<!ENTITY xfce-version "4.0.0">
+<!ENTITY xfce-version "4.0.1">
 <!ENTITY xfce-download-http "http://telia.dl.sourceforge.net/xfce/xfce-&xfce-version;-src.tar.bz2">
-<!ENTITY xfce-download-ftp "">
-<!ENTITY xfce-size "16 MB">
+<!ENTITY xfce-download-ftp "ftp://ftp.iasi.roedu.net/pub/mirrors/download.sourceforge.net/xfce/xfce-&xfce-version;-src.tar.bz2">
+<!ENTITY xfce-size "17 MB">
 <!ENTITY xfce-buildsize "107 MB">
-<!ENTITY xfce-time "varies">
+<!ENTITY xfce-time "1.47 SBU">