Index: packages.ent
===================================================================
--- packages.ent	(revision 2eac7f728f6deaaf43489f630459be6b253f2d55)
+++ packages.ent	(revision 9167f8dfa786197a05116152380f4452e5d3d9f7)
@@ -1123,11 +1123,11 @@
 
 <!-- Chapter 51 -->
-<!ENTITY texlive-version              "20220321">
-<!ENTITY texmf-version                "20220321">
-<!ENTITY tex-tlpdb-version            "20220325">
+<!ENTITY texlive-version              "20230313">
+<!ENTITY texmf-version                "20230313">
+<!ENTITY tex-tlpdb-version            "20230311">
 <!-- the year is used when setting up PATHs in the tl-installer
  page, as well as to reference the directory in texlive, also
  in asymptote, biber and xindy -->
-<!ENTITY texlive-year                 "2022">
+<!ENTITY texlive-year                 "2023">
 <!ENTITY asymptote-version            "2.85">
 <!ENTITY biber-version                "2.18">
Index: pst/typesetting/texlive.xml
===================================================================
--- pst/typesetting/texlive.xml	(revision 2eac7f728f6deaaf43489f630459be6b253f2d55)
+++ pst/typesetting/texlive.xml	(revision 9167f8dfa786197a05116152380f4452e5d3d9f7)
@@ -7,20 +7,20 @@
   <!ENTITY texlive-download-http "https://ftp.math.utah.edu/pub/tex/historic/systems/texlive/&texlive-year;/texlive-&texlive-version;-source.tar.xz">
   <!ENTITY texlive-download-ftp  "ftp://tug.org/texlive/historic/&texlive-year;/texlive-&texlive-version;-source.tar.xz">
-  <!ENTITY texlive-md5sum        "4f05bbd93004175275f50215a4c51608">
-  <!ENTITY texlive-size          "65 MB">
-
-  <!ENTITY texlive-buildsize      "8.0 GB including the additional download and the tests, 7.3 GB installed">
-  <!ENTITY texlive-time           "3.9 SBU including the additional download and the tests, building with parallelism=4">
+  <!ENTITY texlive-md5sum        "bec84c5d6e340967783302f432c78ef">
+  <!ENTITY texlive-size          "66 MB">
+
+  <!ENTITY texlive-buildsize      "8.5 GB including the additional download and the tests, 7.7 GB installed">
+  <!ENTITY texlive-time           "2.3 SBU including the additional download and the tests, building with parallelism=4">
 
   <!-- utah -->
   <!ENTITY texlive-texmf-download-http "https://ftp.math.utah.edu/pub/tex/historic/systems/texlive/&texlive-year;/texlive-&texlive-version;-texmf.tar.xz">
   <!ENTITY texlive-texmf-download-ftp  "ftp://tug.org/texlive/historic/&texlive-year;/texlive-&texmf-version;-texmf.tar.xz">
-  <!ENTITY texlive-texmf-md5sum        "9806803f703b6ce4d9845c46806a7a08">
-  <!ENTITY texlive-texmf-size          "3.4 GB">
+  <!ENTITY texlive-texmf-md5sum        "704fb39c69e3710b8e9e9158cec5047a">
+  <!ENTITY texlive-texmf-size          "3.7 GB">
 
   <!ENTITY texlive-tlpdb-download-http "https://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/&texlive-year;/texlive-&tex-tlpdb-version;-tlpdb-full.tar.gz">
   <!ENTITY texlive-tlpdb-download-ftp  "ftp://tug.org/texlive/historic/&texlive-year;/texlive-&tex-tlpdb-version;-tlpdb-full.tar.gz">
-  <!ENTITY texlive-tlpdb-md5sum        "1084c37c6775b567ed7babd71e612f75">
-  <!ENTITY texlive-tlpdb-size          "3.1 MB">
+  <!ENTITY texlive-tlpdb-md5sum        "5078a7ddaa7b309b7392e33916b817f7">
+  <!ENTITY texlive-tlpdb-size          "3.2 MB">
 
 ]>
@@ -301,6 +301,12 @@
     <para>
       To test the results, issue: <command>make check</command>.
-      <!-- It started to fail with libpaper-2.0.10. -->
-      One test named <filename>psutils.test</filename> is known to fail.
+      <!-- It started to fail with libpaper-2.0.10 which rounds differently
+           in the 6th place of decimals, causing diff to fail -->
+      Two tests, <filename>psutils.test</filename> and
+      <!-- Upstream say that encoding conversion procedure Encode::from_to()
+      failed in fn-generate.perl, test now skips if that errors: possibly
+      related to changes in perl-5.36 since I understand current slackware
+      also sees this - ken -->
+      <filename>eptexdir/wcfname</filename> is known to fail.
     </para>
 
@@ -337,5 +343,5 @@
     <para>
       It has been established by debian that the <command>python</command>
-      scripts in <filename class="directory">latex-make</filename> will work
+      scripts in <filename class="directory">l\atex-make</filename> will work
       with <command>python3</command>, so update them to invoke that by running
       the following command as the <systemitem class="username">root</systemitem>
@@ -350,6 +356,6 @@
     <para>
       Still as the <systemitem class="username">root</systemitem> user,
-      initialize the new system (the commands <command>fmtutil-sys
-      --all</command> and <command>mtxrun --generate</command> will produce
+      initialize the new system (the command <command>fmtutil-sys
+      --all</command> will produce
       a <emphasis>lot</emphasis> of output):
     </para>
@@ -360,6 +366,5 @@
 
 <screen role="root"><userinput>mktexlsr &amp;&amp;
-fmtutil-sys --all &amp;&amp;
-mtxrun --generate</userinput></screen>
+fmtutil-sys --all</userinput></screen>
 
     <para>
@@ -451,7 +456,7 @@
     </para>
 
-    <para>
-      <command>mtxrun --generate</command>: This initializes the ConTeXt system.
-    </para>
+<!--<para>
+      <command>mtxrun \-\-generate</command>: This initializes the ConTeXt system.
+    </para>-->
 
   </sect2>
Index: pst/typesetting/tl-installer.xml
===================================================================
--- pst/typesetting/tl-installer.xml	(revision 2eac7f728f6deaaf43489f630459be6b253f2d55)
+++ pst/typesetting/tl-installer.xml	(revision 9167f8dfa786197a05116152380f4452e5d3d9f7)
@@ -8,9 +8,9 @@
 
   <!ENTITY tl-installer-download-ftp    " ">
-  <!ENTITY tl-installer-md5sum          "00268146cfced12c34fe5f515f032c69">
-  <!ENTITY tl-installer-date             "20220321"> <!-- in the directory name -->
-  <!ENTITY tl-installer-size            "5.6 MB">
-
-  <!ENTITY tl-installer-buildsize        "118 MB for basic TeX and latex, 7.1 GB if everything is included">
+  <!ENTITY tl-installer-md5sum          "cec36f23d7d4e1a4a2a90f77bad8e667">
+  <!ENTITY tl-installer-date             "20230313"> <!-- in the directory name -->
+  <!ENTITY tl-installer-size            "5.5 MB">
+
+  <!ENTITY tl-installer-buildsize        "310 MB for basic TeX and latex, 7.9GB if everything is included">
   <!ENTITY tl-installer-time            "varies, depending on network speed and traffic">
 ]>
Index: xincludes/texruntime.xml
===================================================================
--- xincludes/texruntime.xml	(revision 2eac7f728f6deaaf43489f630459be6b253f2d55)
+++ xincludes/texruntime.xml	(revision 9167f8dfa786197a05116152380f4452e5d3d9f7)
@@ -5,17 +5,15 @@
 
 <para role="recommended">
-  <xref role="runtime" linkend="python2"/> is used by many scripts - most are
-  unmaintained. Many invoke <filename>/usr/bin/env python</filename>, a couple
-  invoke <filename>/usr/bin/python</filename>. It is not generally known if
-  these will work with a symlink to <command>python3</command> (as used in some
-  distros) and two from pythontex invoke <command>python2</command>.
-  <xref role="runtime" linkend="ruby"/> is used by some scripts, mostly within
-  mtx_context which is part of <application>conTeXt</application>, but also
-  for one or two others, such as match_parens, which are generally useful.
-  The perl module <ulink
-  url="https://cpan.metacpan.org/authors/id/S/SR/SREZIC/Tk-804.035.tar.gz">Tk</ulink>,
+  <xref role="runtime" linkend="python2"/> is used by scripts for the
+  latex-papersize, ebong and lilyglyphs CTAN modules, these will not work
+  with python3 and are unmaintained. In pythontex there   are scripts to
+  invoke python3 or python2 according to the system's version of
+  <command>python</command>. <xref role="runtime" linkend="ruby"/> is used by
+  two scripts, one is for pTex (Japanese vertical writing) and the other is
+  match_parens which might be generally useful. The perl module <ulink
+  url="https://cpan.metacpan.org/authors/id/S/SR/SREZIC/Tk-804.036.tar.gz">Tk</ulink>,
   which needs to be run from an X11 session to run the tests and
-  requires <xref role="runtime" linkend="tk"/>, is used by one of the scripts
-  for ptex (Japanese vertical writing), can be used by a conTeXt texfind script,
+  requires <xref role="runtime" linkend="tk"/> is used by one of the scripts
+  for ptex
   and is needed for texdoctk (a GUI interface for finding documentation files
   and opening them with the appropriate viewer).