Index: kde/core/baloo-widgets.xml
===================================================================
--- kde/core/baloo-widgets.xml	(revision 00dc6547f65423006cdb2ce1028b8f344bd14685)
+++ kde/core/baloo-widgets.xml	(revision 9204bbb0e41ef0ba754cb162d48705f568aa7962)
@@ -7,5 +7,5 @@
   <!ENTITY baloo-widgets-download-http "&kde-download-http;&kde-version;/src/baloo-widgets-&kde-version;.tar.xz">
   <!ENTITY baloo-widgets-download-ftp  " ">
-  <!ENTITY baloo-widgets-md5sum        "a8b8b96d51b5a6de16f23cda46998a08">
+  <!ENTITY baloo-widgets-md5sum        "0396d0a3aaaf06c9a550c8066999a7a1">
   <!ENTITY baloo-widgets-size          "39 KB">
   <!ENTITY baloo-widgets-buildsize     "3.3 MB">
Index: kde/core/baloo.xml
===================================================================
--- kde/core/baloo.xml	(revision 00dc6547f65423006cdb2ce1028b8f344bd14685)
+++ kde/core/baloo.xml	(revision 9204bbb0e41ef0ba754cb162d48705f568aa7962)
@@ -7,7 +7,7 @@
   <!ENTITY baloo-download-http "&kde-download-http;&kde-version;/src/baloo-&kde-version;.tar.xz">
   <!ENTITY baloo-download-ftp  " ">
-  <!ENTITY baloo-md5sum        "20202ce57cf24ef27b70c63fe3419602">
+  <!ENTITY baloo-md5sum        "78cae548f3ff63e0603a117a12ecfa69">
   <!ENTITY baloo-size          "140 KB">
-  <!ENTITY baloo-buildsize     "28.4 MB">
+  <!ENTITY baloo-buildsize     "26.1 MB">
   <!ENTITY baloo-time          "2.4 SBU">
 ]>
Index: kde/core/kde-base-artwork.xml
===================================================================
--- kde/core/kde-base-artwork.xml	(revision 00dc6547f65423006cdb2ce1028b8f344bd14685)
+++ kde/core/kde-base-artwork.xml	(revision 9204bbb0e41ef0ba754cb162d48705f568aa7962)
@@ -7,7 +7,7 @@
   <!ENTITY kde-base-artwork-download-http "&kde-download-http;&kde-version;/src/kde-base-artwork-&kde-version;.tar.xz">
   <!ENTITY kde-base-artwork-download-ftp  " ">
-  <!ENTITY kde-base-artwork-md5sum        "da4aa24c5b74bd48fb315e650510c46d">
-  <!ENTITY kde-base-artwork-size          "7.1 MB">
-  <!ENTITY kde-base-artwork-buildsize     "15.2 MB">
+  <!ENTITY kde-base-artwork-md5sum        "20238be9a851fe200a1aa04c35e10e76">
+  <!ENTITY kde-base-artwork-size          "7.0 MB">
+  <!ENTITY kde-base-artwork-buildsize     "7.9 MB">
   <!ENTITY kde-base-artwork-time          "less than 0.1 SBU">
 ]>
Index: kde/core/kde-baseapps.xml
===================================================================
--- kde/core/kde-baseapps.xml	(revision 00dc6547f65423006cdb2ce1028b8f344bd14685)
+++ kde/core/kde-baseapps.xml	(revision 9204bbb0e41ef0ba754cb162d48705f568aa7962)
@@ -7,8 +7,8 @@
   <!ENTITY kde-baseapps-download-http "&kde-download-http;&kde-version;/src/kde-baseapps-&kde-version;.tar.xz">
   <!ENTITY kde-baseapps-download-ftp  " ">
-  <!ENTITY kde-baseapps-md5sum        "1b0005c625e6aaecadea022714a9e8e5">
+  <!ENTITY kde-baseapps-md5sum        "5a80e976040e8a5fb019d28c259fef71">
   <!ENTITY kde-baseapps-size          "2.4 MB">
-  <!ENTITY kde-baseapps-buildsize     "98.7 MB">
-  <!ENTITY kde-baseapps-time          "5.3 SBU">
+  <!ENTITY kde-baseapps-buildsize     "85.4 MB">
+  <!ENTITY kde-baseapps-time          "5.4 SBU">
 ]>
 
Index: kde/core/kde-runtime.xml
===================================================================
--- kde/core/kde-runtime.xml	(revision 00dc6547f65423006cdb2ce1028b8f344bd14685)
+++ kde/core/kde-runtime.xml	(revision 9204bbb0e41ef0ba754cb162d48705f568aa7962)
@@ -7,8 +7,8 @@
   <!ENTITY kde-runtime-download-http "&kde-download-http;&kde-version;/src/kde-runtime-&kde-version;.tar.xz">
   <!ENTITY kde-runtime-download-ftp  " ">
-  <!ENTITY kde-runtime-md5sum        "8748f518157cc9f9b086347730763d4d">
+  <!ENTITY kde-runtime-md5sum        "bf07f140ee8f15a6fe9eebd76e5ea0c0">
   <!ENTITY kde-runtime-size          "7.5 MB">
-  <!ENTITY kde-runtime-buildsize     "141.4 MB">
-  <!ENTITY kde-runtime-time          "5.5 SBU">
+  <!ENTITY kde-runtime-buildsize     "113 MB">
+  <!ENTITY kde-runtime-time          "5.7 SBU">
 ]>
 
Index: kde/core/kde-workspace-systemd.xml
===================================================================
--- kde/core/kde-workspace-systemd.xml	(revision 00dc6547f65423006cdb2ce1028b8f344bd14685)
+++ kde/core/kde-workspace-systemd.xml	(revision 9204bbb0e41ef0ba754cb162d48705f568aa7962)
@@ -8,8 +8,8 @@
   <!ENTITY kde-workspace-download-http "&kde-download-http;&ws-dir;/src/kde-workspace-&kde-workspace-version;.tar.xz">
   <!ENTITY kde-workspace-download-ftp  "&kde-download-ftp;&ws-dir;/src/kde-workspace-&kde-workspace-version;.tar.xz">
-  <!ENTITY kde-workspace-md5sum        "9968e4388fb4e99596e55982d823aa96">
+  <!ENTITY kde-workspace-md5sum        "64dc4f44a7df7bcde32633a4ad036edb">
   <!ENTITY kde-workspace-size          "12.9 MB">
-  <!ENTITY kde-workspace-buildsize     "371.8 MB">
-  <!ENTITY kde-workspace-time          "17.3 SBU">
+  <!ENTITY kde-workspace-buildsize     "57.3 MB">
+  <!ENTITY kde-workspace-time          "17.4 SBU">
 ]>
 
Index: kde/core/kdelibs.xml
===================================================================
--- kde/core/kdelibs.xml	(revision 00dc6547f65423006cdb2ce1028b8f344bd14685)
+++ kde/core/kdelibs.xml	(revision 9204bbb0e41ef0ba754cb162d48705f568aa7962)
@@ -7,8 +7,8 @@
   <!ENTITY kdelibs-download-http "&kde-download-http;&kde-version;/src/kdelibs-&kde-version;.tar.xz">
   <!ENTITY kdelibs-download-ftp  " ">
-  <!ENTITY kdelibs-md5sum        "678acc5880ba5da96ae66d383e19a52b">
+  <!ENTITY kdelibs-md5sum        "a0f5dff706c03ff19b99bc2c51f8de2c">
   <!ENTITY kdelibs-size          "11.1 MB">
-  <!ENTITY kdelibs-buildsize     "463 MB">
-  <!ENTITY kdelibs-time          "17 SBU">
+  <!ENTITY kdelibs-buildsize     "1.72 GB">
+  <!ENTITY kdelibs-time          "48.4 SBU">
 ]>
 
Index: kde/core/kdepimlibs.xml
===================================================================
--- kde/core/kdepimlibs.xml	(revision 00dc6547f65423006cdb2ce1028b8f344bd14685)
+++ kde/core/kdepimlibs.xml	(revision 9204bbb0e41ef0ba754cb162d48705f568aa7962)
@@ -7,8 +7,8 @@
   <!ENTITY kdepimlibs-download-http "&kde-download-http;&kde-version;/src/kdepimlibs-&kde-version;.tar.xz">
   <!ENTITY kdepimlibs-download-ftp  " ">
-  <!ENTITY kdepimlibs-md5sum        "6e27f79c82a7ca3335a716f4fe66a578">
-  <!ENTITY kdepimlibs-size          "2.7 MB">
-  <!ENTITY kdepimlibs-buildsize     "203 MB">
-  <!ENTITY kdepimlibs-time          "10.7 SBU">
+  <!ENTITY kdepimlibs-md5sum        "f1c8a6f0914706109809d4f27d2835a6">
+  <!ENTITY kdepimlibs-size          "2.6 MB">
+  <!ENTITY kdepimlibs-buildsize     "191.7 MB">
+  <!ENTITY kdepimlibs-time          "11.2 SBU">
 ]>
 
Index: kde/core/kfilemetadata.xml
===================================================================
--- kde/core/kfilemetadata.xml	(revision 00dc6547f65423006cdb2ce1028b8f344bd14685)
+++ kde/core/kfilemetadata.xml	(revision 9204bbb0e41ef0ba754cb162d48705f568aa7962)
@@ -7,8 +7,8 @@
   <!ENTITY kfilemetadata-download-http "&kde-download-http;&kde-version;/src/kfilemetadata-&kde-version;.tar.xz">
   <!ENTITY kfilemetadata-download-ftp  " ">
-  <!ENTITY kfilemetadata-md5sum        "0faa1b90189c77731c62e63e57f5ba00">
+  <!ENTITY kfilemetadata-md5sum        "6ee4f57631ec4e0b566053fd82a44f97">
   <!ENTITY kfilemetadata-size          "35 KB">
-  <!ENTITY kfilemetadata-buildsize     "3.9 MB">
-  <!ENTITY kfilemetadata-time          "0.2 SBU">
+  <!ENTITY kfilemetadata-buildsize     "4.1 MB">
+  <!ENTITY kfilemetadata-time          "0.3 SBU">
 ]>
 
Index: kde/core/oxygen-icons.xml
===================================================================
--- kde/core/oxygen-icons.xml	(revision 00dc6547f65423006cdb2ce1028b8f344bd14685)
+++ kde/core/oxygen-icons.xml	(revision 9204bbb0e41ef0ba754cb162d48705f568aa7962)
@@ -7,7 +7,7 @@
   <!ENTITY oxygen-icons-download-http "&kde-download-http;&kde-version;/src/oxygen-icons-&kde-version;.tar.xz">
   <!ENTITY oxygen-icons-download-ftp  " ">
-  <!ENTITY oxygen-icons-md5sum        "7eec6b9fa8be5040550f3441715c1c1c">
+  <!ENTITY oxygen-icons-md5sum        "9940896dc83f180049416b9242f3d45b">
   <!ENTITY oxygen-icons-size          "219 MB">
-  <!ENTITY oxygen-icons-buildsize     "500 MB">
+  <!ENTITY oxygen-icons-buildsize     "422 MB">
   <!ENTITY oxygen-icons-time          "less than 0.1 SBU">
 ]>
Index: kde/core/phonon.xml
===================================================================
--- kde/core/phonon.xml	(revision 00dc6547f65423006cdb2ce1028b8f344bd14685)
+++ kde/core/phonon.xml	(revision 9204bbb0e41ef0ba754cb162d48705f568aa7962)
@@ -7,7 +7,7 @@
   <!ENTITY phonon-download-http "&kde-download-http;phonon/&phonon-version;/phonon-&phonon-version;.tar.xz">
   <!ENTITY phonon-download-ftp  "&kde-download-ftp;phonon/&phonon-version;/phonon-&phonon-version;.tar.xz">
-  <!ENTITY phonon-md5sum        "30af25af0bf28f3ce462f39b0a6e4081">
+  <!ENTITY phonon-md5sum        "2da3a26b911b23bb29d6ba2d07044a08">
   <!ENTITY phonon-size          "308 KB">
-  <!ENTITY phonon-buildsize     "10.7 MB">
+  <!ENTITY phonon-buildsize     "9.6 MB">
   <!ENTITY phonon-time          "0.4 SBU">
 ]>