Index: server/mail/courier/courier-config.xml
===================================================================
--- server/mail/courier/courier-config.xml	(revision 7283ae55618bd6421fff9f158dbbf26f2d53d9b3)
+++ server/mail/courier/courier-config.xml	(revision 9262ca53b1394ecdc265710308e908de64c14185)
@@ -218,5 +218,6 @@
 least one version of the password either clear text or encrypted.</para>
 
-<screen><userinput><command>INSERT INTO users VALUES (
+<screen><userinput><command>USE courier_mail
+INSERT INTO users VALUES (
 '<replaceable>[virtual_users]</replaceable>@<replaceable>[domain.com]</replaceable>,
 '<replaceable>[encrypted password or blank]</replaceable>',
@@ -227,5 +228,6 @@
 '<replaceable>[location of Maildir]</replaceable>',
 '<replaceable>[Quota in Bytes']</replaceable>
-);</command></userinput></screen>
+);
+QUIT</command></userinput></screen>
 
 <para>For example:</para>
@@ -312,3 +314,2 @@
 </sect3>
 </sect2>
-
Index: server/mail/courier/courier-desc.xml
===================================================================
--- server/mail/courier/courier-desc.xml	(revision 7283ae55618bd6421fff9f158dbbf26f2d53d9b3)
+++ server/mail/courier/courier-desc.xml	(revision 9262ca53b1394ecdc265710308e908de64c14185)
@@ -70,82 +70,86 @@
 
 <sect3><title>courier</title>
-<para><filename>courier</filename> Courier is a modular multi-protocol E-mail transport agent. The courier
-command is an administrative command, and most of its options are only available to the superuser..</para></sect3>
+<para><command>courier</command> is a modular multi-protocol E-mail
+transport agent. The <command>courier</command> command is an
+administrative command, and most of its options are only available to
+the superuser.</para></sect3>
 
 <sect3><title>courierfilter</title>
-<para><filename>courierfilter</filename> commands install or uninstall global mail filters. Global mail filters
-are used to selectively block unwanted mail.</para></sect3>
+<para><command>courierfilter</command> command installs or uninstalls
+global mail filters. Global mail filters are used to selectively block
+unwanted mail.</para></sect3>
 
 <sect3><title>couriermlm</title>
-<para><filename>couriermlm</filename> is the Courier mailing list manager.</para></sect3>
+<para><command>couriermlm</command> is the Courier mailing list manager.</para></sect3>
 
 <sect3><title>filterctl</title>
-<para><filename>filterctl</filename> commands install or uninstall global mail filters. Global mail filters are
-used to selectively block unwanted mail.</para></sect3>
+<para><command>filterctl</command> command installs or uninstalls global
+mail filters. Global mail filters are used to selectively block unwanted
+mail.</para></sect3>
 
 <sect3><title>lockmail</title>
-<para><filename>lockmail</filename> is a helper utility for working with mailbox files..</para></sect3>
+<para><command>lockmail</command> is a helper utility for working with mailbox files..</para></sect3>
 
 <sect3><title>mailbot</title>
-<para><filename>mailbot</filename> reads an E-mail message on standard input and creates an E-mail message
+<para><command>mailbot</command> reads an E-mail message on standard input and creates an E-mail message
 replying to the original message's sender..</para></sect3>
 
 <sect3><title>maildirkw</title>
-<para><filename>maildirkw</filename> modifies Courier-IMAP compatible maildir message keywords.</para></sect3>
+<para><command>maildirkw</command> modifies Courier-IMAP compatible maildir message keywords.</para></sect3>
 
 <sect3><title>maildrop</title>
-<para><filename>maildrop</filename> is a replacement local mail delivery agent that includes a mail filtering
+<para><command>maildrop</command> is a replacement local mail delivery agent that includes a mail filtering
 language.</para></sect3>
 
 <sect3><title>makeacceptmailfor</title>
-<para><filename>makeacceptmailfor</filename> Build a list of domains to accept mail for from the
+<para><command>makeacceptmailfor</command> Build a list of domains to accept mail for from the
 <filename>/etc/courier/esmtpacceptmailfor.dir</filename>directory.</para></sect3>
 
 <sect3><title>makealiases</title>
-<para><filename>makealiases</filename> Build a list of aliases from <filename>/etc/courier/aliases</filename>
+<para><command>makealiases</command> Build a list of aliases from <filename>/etc/courier/aliases</filename>
 or <filename>/etc/courier/aliasdir</filename> directories.</para></sect3>
 
 <sect3><title>makehosteddomains</title>
-<para><filename>makehostedomains</filename> Build a database of hosted domains from <filename>hosteddomains</filename>
+<para><command>makehostedomains</command> Build a database of hosted domains from <filename>hosteddomains</filename>
 .</para></sect3>
 
 <sect3><title>makepercentrelay</title>
-<para><filename>makepercentrelay</filename> Build a list of %-relayed domains from <filename>percentrelay.dir</filename>
+<para><command>makepercentrelay</command> Build a list of %-relayed domains from <filename>percentrelay.dir</filename>
 directory.</para></sect3>
 
 <sect3><title>makesmtpaccess</title>
-<para><filename>makesmtpacces</filename> Build ESMTP server access file from <filename>/etc/courier/smtpaccess</filename>
+<para><command>makesmtpacces</command> Build ESMTP server access file from <filename>/etc/courier/smtpaccess</filename>
 directory.</para></sect3>
 
 <sect3><title>makesmtpaccess-msa</title>
-<para><filename>makesmtpaccess-msa</filename> Build ESMTP server access file from <filename>/etc/courier/smtpaccess</filename>
+<para><command>makesmtpaccess-msa</command> Build ESMTP server access file from <filename>/etc/courier/smtpaccess</filename>
 directory. This esmtp list is for the MSA protocol.</para></sect3>
 
 <sect3><title>makeuucpneighbors</title>
-<para><filename>makeuucpneighbors</filename> Builds a list of
+<para><command>makeuucpneighbors</command> Builds a list of
 <acronym>UUCP</acronym> recipient's using <filename>/etc/courier/uucpneighbors
 </filename>.</para></sect3>
 
 <sect3><title>reformail</title>
-<para><filename>reformail</filename> program reads a message on standard input, reformats it in some way,
+<para><command>reformail</command> program reads a message on standard input, reformats it in some way,
  and writes the message to standard output.</para></sect3>
 
 <sect3><title>reformime</title>
-<para><filename>reformime</filename> is a utility for reformatting MIME messages.</para></sect3>
+<para><command>reformime</command> is a utility for reformatting MIME messages.</para></sect3>
 
 <sect3><title>sendmail</title>
-<para><filename>sendmail</filename> command reads an E-mail message and delivers the message to its recipients.
+<para><command>sendmail</command> command reads an E-mail message and delivers the message to its recipients.
 This sendmail command is part of the Courier mail server, although it attempts to emulate the behavior of the
 original sendmail MTA.</para></sect3>
 
 <sect3><title>showconfig</title>
-<para><filename>showconfig</filename> Shows the current Courier configuration.</para></sect3>
+<para><command>showconfig</command> Shows the current Courier configuration.</para></sect3>
 
 <sect3><title>showmodules</title>
-<para><filename>showmodules</filename> Shows the current Courier modules.</para></sect3>
+<para><command>showmodules</command> Shows the current Courier modules.</para></sect3>
 
 <sect3><title>testmxlookup</title>
-<para><filename>testmxlookup</filename> lists the names and IP addresses of mail relays that receive mail for the
-domain.  This is useful in diagnosing mail delivery problems..</para></sect3>
+<para><command>testmxlookup</command> lists the names and IP addresses of mail relays that receive mail for the
+domain.  This is useful in diagnosing mail delivery problems.</para></sect3>
 
 </sect2>