Index: general/genlib/nspr.xml
===================================================================
--- general/genlib/nspr.xml	(revision 48d054f5695e69a878aefb9feceae0accad323a8)
+++ general/genlib/nspr.xml	(revision 9364bed66b3b25f73975b8a8b8149d5fff98fe6c)
@@ -8,7 +8,7 @@
 <!--  <!ENTITY nspr-download-ftp "ftp://ftp.mozilla.org/pub/mozilla.org/nspr/releases/v&nspr-version;/src/nspr-&nspr-version;.tar.gz">-->
   <!ENTITY nspr-download-ftp " ">
-  <!ENTITY nspr-md5sum        "c6c652d4f805be2daa344ac372d7bc59">
+  <!ENTITY nspr-md5sum        "42fd8963a4b394f62d43ba604f03fab7">
   <!ENTITY nspr-size          "1.1 MB">
-  <!ENTITY nspr-buildsize     "10 MB">
+  <!ENTITY nspr-buildsize     "12 MB">
   <!ENTITY nspr-time          "less than 0.1 SBU">
 ]>
Index: general/graphlib/harfbuzz.xml
===================================================================
--- general/graphlib/harfbuzz.xml	(revision 48d054f5695e69a878aefb9feceae0accad323a8)
+++ general/graphlib/harfbuzz.xml	(revision 9364bed66b3b25f73975b8a8b8149d5fff98fe6c)
@@ -8,8 +8,8 @@
            "http://www.freedesktop.org/software/harfbuzz/release/harfbuzz-&harfbuzz-version;.tar.bz2">
   <!ENTITY harfbuzz-download-ftp  " ">
-  <!ENTITY harfbuzz-md5sum        "e246c08a3bac98e31e731b2a1bf97edf">
-  <!ENTITY harfbuzz-size          "1.4 MB">
-  <!ENTITY harfbuzz-buildsize     "47 MB (with tests)">
-  <!ENTITY harfbuzz-time          "0.5 SBU (with tests)"> 
+  <!ENTITY harfbuzz-md5sum        "37096205bc43e2977de0f1cf2706940">
+  <!ENTITY harfbuzz-size          "1.6 MB">
+  <!ENTITY harfbuzz-buildsize     "37 MB (add 20 MB for tests)">
+  <!ENTITY harfbuzz-time          "0.3 SBU (add 0.3 SBU for tests)">
 ]>
 
@@ -37,4 +37,5 @@
 
     &lfs80_checked;
+    &gcc7_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/cmake.xml
===================================================================
--- general/prog/cmake.xml	(revision 48d054f5695e69a878aefb9feceae0accad323a8)
+++ general/prog/cmake.xml	(revision 9364bed66b3b25f73975b8a8b8149d5fff98fe6c)
@@ -7,8 +7,8 @@
   <!ENTITY cmake-download-http "http://www.cmake.org/files/v&cmake-major-version;/cmake-&cmake-version;.tar.gz">
   <!ENTITY cmake-download-ftp  " ">
-  <!ENTITY cmake-md5sum        "b5dff61f6a7f1305271ab3f6ae261419">
-  <!ENTITY cmake-size          "7.2 MB">
-  <!ENTITY cmake-buildsize     "333 MB (add 351 MB for tests)">
-  <!ENTITY cmake-time          "2.2 SBU (add 2.5 SBU for tests, both using parallelism=4)">
+  <!ENTITY cmake-md5sum        "180e23b4c9b55915d271b315297f6951">
+  <!ENTITY cmake-size          "7.4 MB">
+  <!ENTITY cmake-buildsize     "375 MB (add 296 MB for tests)">
+  <!ENTITY cmake-time          "2.0 SBU (add 3.0 SBU for tests, both using parallelism=4)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 48d054f5695e69a878aefb9feceae0accad323a8)
+++ introduction/welcome/changelog.xml	(revision 9364bed66b3b25f73975b8a8b8149d5fff98fe6c)
@@ -46,4 +46,36 @@
       <para>August 1st, 2017</para>
       <itemizedlist>
+        <listitem>
+          <para>[ken] - Update to icewm-1.4.1. Fixes
+          <ulink url="&blfs-ticket-root;9536">#9536</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - Update to nspr-4.16. Fixes
+          <ulink url="&blfs-ticket-root;9533">#9533</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - Update to libdrm-2.4.82. Fixes
+          <ulink url="&blfs-ticket-root;9505">#9505</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - Update to gtk+-3.22.17. Fixes
+          <ulink url="&blfs-ticket-root;9500">#9500</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - Update to gdk-pixbuf-2.36.7. Fixes
+          <ulink url="&blfs-ticket-root;9499">#9499</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - Update to cmake-3.9.0. Fixes
+          <ulink url="&blfs-ticket-root;9496">#9496</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - Update to harfbuzz-1.4.7. Fixes
+          <ulink url="&blfs-ticket-root;9495">#9495</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - Update to pango-1.40.7. Fixes
+          <ulink url="&blfs-ticket-root;9488">#9488</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[pierre] - Update to libreoffice-5.4.0.3. Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision 48d054f5695e69a878aefb9feceae0accad323a8)
+++ packages.ent	(revision 9364bed66b3b25f73975b8a8b8149d5fff98fe6c)
@@ -130,5 +130,5 @@
 <!ENTITY libcroco-version             "0.6.12">
 <!ENTITY libdaemon-version            "0.14">
-<!ENTITY libdrm-version               "2.4.81">
+<!ENTITY libdrm-version               "2.4.82">
 <!ENTITY libepoxy-minor               "1.4">
 <!ENTITY libepoxy-version             "&libepoxy-minor;.3">
@@ -167,5 +167,5 @@
 <!ENTITY nodejs-version               "8.2.1">
 <!ENTITY npth-version                 "1.5">
-<!ENTITY nspr-version                 "4.15">
+<!ENTITY nspr-version                 "4.16">
 <!ENTITY openobex-version             "1.7.2">
 <!ENTITY pcre-version                 "8.41">
@@ -194,5 +194,5 @@
 <!ENTITY giflib-version               "5.1.4">
 <!ENTITY graphite2-version            "1.3.10">
-<!ENTITY harfbuzz-version             "1.4.6">
+<!ENTITY harfbuzz-version             "1.4.7">
 <!ENTITY ijs-version                  "0.35">
 <!ENTITY jasper-version               "2.0.12">
@@ -295,6 +295,6 @@
 <!ENTITY check-version                "0.11.0">
 <!ENTITY clisp-version                "2.49">
-<!ENTITY cmake-major-version          "3.8">
-<!ENTITY cmake-minor-version          "2">
+<!ENTITY cmake-major-version          "3.9">
+<!ENTITY cmake-minor-version          "0">
 <!ENTITY cmake-version                "&cmake-major-version;.&cmake-minor-version;">
 <!--<!ENTITY cvs-version                  "1.11.23">-->
@@ -545,9 +545,9 @@
 <!ENTITY fltk-version                 "1.3.4">
 <!ENTITY freeglut-version             "3.0.0">
-<!ENTITY gdk-pixbuf-version           "2.36.6">
+<!ENTITY gdk-pixbuf-version           "2.36.7">
 <!ENTITY glu-version                  "9.0.0">
 <!ENTITY goffice010-version           "0.10.35">
 <!ENTITY gtk2-version                 "2.24.31">
-<!ENTITY gtk3-version                 "3.22.16">
+<!ENTITY gtk3-version                 "3.22.17">
 <!ENTITY gtk-engines-version          "2.20.2">
 <!ENTITY gtkmm2-version               "2.24.5">
@@ -559,5 +559,5 @@
 <!ENTITY libnotify-version            "0.7.7">
 <!ENTITY libxklavier-version          "5.4">
-<!ENTITY pango-version                "1.40.6">
+<!ENTITY pango-version                "1.40.7">
 <!ENTITY pangomm-version              "2.40.1">
 <!ENTITY qt5-version                  "5.9.1">
@@ -577,5 +577,5 @@
 <!-- Chapter 27 -->
 <!ENTITY fluxbox-version              "1.3.7">
-<!ENTITY icewm-version                "1.4.0">
+<!ENTITY icewm-version                "1.4.1">
 <!ENTITY openbox-version              "3.6.1">
 <!ENTITY sawfish-version              "1.12.0">
Index: x/lib/gdk-pixbuf.xml
===================================================================
--- x/lib/gdk-pixbuf.xml	(revision 48d054f5695e69a878aefb9feceae0accad323a8)
+++ x/lib/gdk-pixbuf.xml	(revision 9364bed66b3b25f73975b8a8b8149d5fff98fe6c)
@@ -9,8 +9,8 @@
   <!ENTITY gdk-pixbuf-download-ftp
            "&gnome-download-ftp;/gdk-pixbuf/2.36/gdk-pixbuf-&gdk-pixbuf-version;.tar.xz">
-  <!ENTITY gdk-pixbuf-md5sum        "5dd53760750670d27c194ff6ace7eb51">
-  <!ENTITY gdk-pixbuf-size          "4.9 MB">
-  <!ENTITY gdk-pixbuf-buildsize     "42 MB (with tests)">
-  <!ENTITY gdk-pixbuf-time          "0.9 SBU (with tests)">
+  <!ENTITY gdk-pixbuf-md5sum        "04ca1535f3fab7070db48009ed1e93f6">
+  <!ENTITY gdk-pixbuf-size          "5.0 MB">
+  <!ENTITY gdk-pixbuf-buildsize     "43 MB (add 4MB for tests)">
+  <!ENTITY gdk-pixbuf-time          "0.3 SBU (add 0.4 SBU for tests)">
 ]>
 
@@ -123,6 +123,5 @@
     <para>
       To test the results, issue: <command>make check</command>. The tests
-      make a heavy use of disk.  Two tests report ERROR due to missing test
-      data.
+      make a heavy use of disk.  Two tests fail with ERROR messages.
     </para>
 
Index: x/lib/gtk+3.xml
===================================================================
--- x/lib/gtk+3.xml	(revision 48d054f5695e69a878aefb9feceae0accad323a8)
+++ x/lib/gtk+3.xml	(revision 9364bed66b3b25f73975b8a8b8149d5fff98fe6c)
@@ -7,7 +7,7 @@
   <!ENTITY gtk3-download-http "&gnome-download-http;/gtk+/&gnome-minor-22;/gtk+-&gtk3-version;.tar.xz">
   <!ENTITY gtk3-download-ftp  "&gnome-download-ftp;/gtk+/&gnome-minor-22;/gtk+-&gtk3-version;.tar.xz">
-  <!ENTITY gtk3-md5sum        "71820863d5479e2c4a5b78f3164d5f15">
+  <!ENTITY gtk3-md5sum        "29f85430cf7cfa8ca8d0703ba65dbe1">
   <!ENTITY gtk3-size          "18 MB">
-  <!ENTITY gtk3-buildsize     "426 MB (add 9 MB for tests)">
+  <!ENTITY gtk3-buildsize     "518 MB (add 8 MB for tests)">
   <!ENTITY gtk3-time          "2.0 SBU (using parallelism=4, add 0.6 SBU for tests)">
 ]>
@@ -103,6 +103,7 @@
       <xref linkend="json-glib"/>,
       <xref linkend="libxkbcommon"/>,
-      <xref linkend="pyatspi2"/> (for tests),
-      <xref linkend="wayland"/>, 
+      <!-- seems to have dropped out
+      <xref linkend="pyatspi2"/> (for tests), -->
+      <xref linkend="wayland"/>,
       <xref linkend="wayland-protocols"/>,
       <ulink url="http://icl.cs.utk.edu/papi/">PAPI</ulink>, and
Index: x/lib/libdrm.xml
===================================================================
--- x/lib/libdrm.xml	(revision 48d054f5695e69a878aefb9feceae0accad323a8)
+++ x/lib/libdrm.xml	(revision 9364bed66b3b25f73975b8a8b8149d5fff98fe6c)
@@ -7,8 +7,8 @@
   <!ENTITY libdrm-download-http "http://dri.freedesktop.org/libdrm/libdrm-&libdrm-version;.tar.bz2">
   <!ENTITY libdrm-download-ftp  " ">
-  <!ENTITY libdrm-md5sum        "d04f3567f0a812188d06f860fded5ab7">
-  <!ENTITY libdrm-size          "768 KB">
-  <!ENTITY libdrm-buildsize     "12 MB">
-  <!ENTITY libdrm-time          "0.2 SBU (add 0.8 SBU for the tests)">
+  <!ENTITY libdrm-md5sum        "29867814123c3d23056b1d05aada1b9d">
+  <!ENTITY libdrm-size          "737 KB">
+  <!ENTITY libdrm-buildsize     "16 MB">
+  <!ENTITY libdrm-time          "0.2 SBU (add 0.5 SBU for the tests)">
 ]>
 
Index: x/lib/pango.xml
===================================================================
--- x/lib/pango.xml	(revision 48d054f5695e69a878aefb9feceae0accad323a8)
+++ x/lib/pango.xml	(revision 9364bed66b3b25f73975b8a8b8149d5fff98fe6c)
@@ -7,7 +7,7 @@
   <!ENTITY pango-download-http "&gnome-download-http;/pango/1.40/pango-&pango-version;.tar.xz">
   <!ENTITY pango-download-ftp  "&gnome-download-ftp;/pango/1.40/pango-&pango-version;.tar.xz">
-  <!ENTITY pango-md5sum        "507c6746fbf53fc9d48c577f1e265de3">
-  <!ENTITY pango-size          "816 KB">
-  <!ENTITY pango-buildsize     "20 MB (with tests)">
+  <!ENTITY pango-md5sum        "46a9e38a502365a7b12d3dc8a5ac5c0">
+  <!ENTITY pango-size          "822 KB">
+  <!ENTITY pango-buildsize     "26 MB (with tests)">
   <!ENTITY pango-time          "0.3 SBU (with tests)">
 ]>
Index: x/wm/icewm.xml
===================================================================
--- x/wm/icewm.xml	(revision 48d054f5695e69a878aefb9feceae0accad323a8)
+++ x/wm/icewm.xml	(revision 9364bed66b3b25f73975b8a8b8149d5fff98fe6c)
@@ -7,5 +7,5 @@
   <!ENTITY icewm-download-http "https://github.com/bbidulock/icewm/releases/download/&icewm-version;/icewm-&icewm-version;.tar.bz2">
   <!ENTITY icewm-download-ftp  " ">
-  <!ENTITY icewm-md5sum        "38d71c18c4dd86cc5eff7460cce71b68">
+  <!ENTITY icewm-md5sum        "bd26a193268cafbaff043fac0465ef31">
   <!ENTITY icewm-size          "1.7 MB">
   <!ENTITY icewm-buildsize     "57 MB">
@@ -34,4 +34,5 @@
 
     &lfs80_checked;
+    &gcc7_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -85,5 +86,5 @@
 <screen><userinput>./configure --prefix=/usr                     \
             --sysconfdir=/etc                 \
-            --docdir=/usr/share/icewm-&icewm-version; &amp;&amp;
+            --docdir=/usr/share/doc/icewm-&icewm-version; &amp;&amp;
 make</userinput></screen>
 