Index: general.ent
===================================================================
--- general.ent	(revision 74f73edeadda9340dbe0f07b493eb60171030b00)
+++ general.ent	(revision 09396b55bcfdf8d2b7631000926b31c19244f13d)
@@ -326,5 +326,5 @@
 <!ENTITY gegl-version                 "0.2.0">
 <!ENTITY giflib-version               "4.1.6">
-<!ENTITY harfbuzz-version             "0.9.3">
+<!ENTITY harfbuzz-version             "0.9.4">
 <!ENTITY ijs-version                  "0.35">
 <!ENTITY imlib2-version               "1.4.5">
@@ -395,5 +395,5 @@
 <!ENTITY gpm-version                  "1.20.6">
 <!ENTITY hdparm-version               "9.39">
-<!ENTITY ibus-version                 "1.4.99.20120822">
+<!ENTITY ibus-version                 "1.4.99.20120917">
 <!ENTITY libarchive-version           "3.0.4">
 <!ENTITY lm_sensors-version           "3.3.2">
@@ -1051,8 +1051,10 @@
 <!ENTITY gst-plugins-ugly-version     "0.10.19">
 <!ENTITY gst-ffmpeg-version           "0.10.13">
-<!ENTITY gstreamer10-version          "0.11.93">
-<!ENTITY gst10-plugins-base-version   "0.11.93">
-<!ENTITY gst10-plugins-good-version   "0.11.93">
-<!ENTITY gst10-plugins-bad-version    "0.11.93">
+<!ENTITY gstreamer10-version          "0.11.99">
+<!ENTITY gst10-plugins-base-version   "0.11.99">
+<!ENTITY gst10-plugins-good-version   "0.11.99">
+<!ENTITY gst10-plugins-bad-version    "0.11.99">
+<!ENTITY gst10-plugins-ugly-version   "0.11.99">
+<!ENTITY gst10-libav-version          "0.11.99">
 <!ENTITY liba52-version               "0.7.4">
 <!ENTITY libao-version                "1.1.0">
Index: general/graphlib/graphlib.xml
===================================================================
--- general/graphlib/graphlib.xml	(revision 74f73edeadda9340dbe0f07b493eb60171030b00)
+++ general/graphlib/graphlib.xml	(revision 09396b55bcfdf8d2b7631000926b31c19244f13d)
@@ -29,5 +29,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gegl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="giflib.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="harfbuzz.xml"/>
+<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="harfbuzz.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ijs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="imlib2.xml"/>
Index: general/graphlib/harfbuzz.xml
===================================================================
--- general/graphlib/harfbuzz.xml	(revision 74f73edeadda9340dbe0f07b493eb60171030b00)
+++ general/graphlib/harfbuzz.xml	(revision 09396b55bcfdf8d2b7631000926b31c19244f13d)
@@ -8,6 +8,6 @@
            "http://www.freedesktop.org/software/harfbuzz/release/harfbuzz-&harfbuzz-version;.tar.bz2">
   <!ENTITY harfbuzz-download-ftp  " ">
-  <!ENTITY harfbuzz-md5sum        "883a40644d3b120b7013e11876ea5af3">
-  <!ENTITY harfbuzz-size          "704 KB">
+  <!ENTITY harfbuzz-md5sum        "4d12e3d9fdc132237767f5965e1684bb">
+  <!ENTITY harfbuzz-size          "720 KB">
   <!ENTITY harfbuzz-buildsize     "20 MB">
   <!ENTITY harfbuzz-time          "0.3 SBU">
Index: general/sysutils/ibus.xml
===================================================================
--- general/sysutils/ibus.xml	(revision 74f73edeadda9340dbe0f07b493eb60171030b00)
+++ general/sysutils/ibus.xml	(revision 09396b55bcfdf8d2b7631000926b31c19244f13d)
@@ -7,8 +7,8 @@
   <!ENTITY ibus-download-http "http://ibus.googlecode.com/files/ibus-&ibus-version;.tar.gz">
   <!ENTITY ibus-download-ftp  " ">
-  <!ENTITY ibus-md5sum        "b7b7aa75b28cc28521e71ca499854695">
+  <!ENTITY ibus-md5sum        "b53ec9c4579900c48d41be89b45c4122">
   <!ENTITY ibus-size          "1.7 MB">
   <!ENTITY ibus-buildsize     "40 MB">
-  <!ENTITY ibus-time          "0.7 SBU">
+  <!ENTITY ibus-time          "0.5 SBU">
 ]>
 
@@ -166,5 +166,6 @@
         </seg>
         <seg>
-          libibus-1.0.so
+          libibus-1.0.so and im-ibus.so
+          (<application>GTK+ Immodule</application>)
         </seg>
         <seg>
@@ -172,5 +173,4 @@
           /usr/include/ibus-1.0,
           /usr/lib/ibus,
-          /usr/lib/python&python2-majorver;/site-packages/ibus,
           /usr/share/gtk-doc/html/ibus and
           /usr/share/ibus
Index: general/sysutils/sysutils.xml
===================================================================
--- general/sysutils/sysutils.xml	(revision 74f73edeadda9340dbe0f07b493eb60171030b00)
+++ general/sysutils/sysutils.xml	(revision 09396b55bcfdf8d2b7631000926b31c19244f13d)
@@ -32,5 +32,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gpm.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="hdparm.xml"/>
-  <!-- <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ibus.xml"/> -->
+<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ibus.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="initdtools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libarchive.xml"/>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 74f73edeadda9340dbe0f07b493eb60171030b00)
+++ introduction/welcome/changelog.xml	(revision 09396b55bcfdf8d2b7631000926b31c19244f13d)
@@ -331,13 +331,4 @@
 
     <listitem>
-      <para>September 1st, 2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[krejzi] - Added libmusicbrainz 5.0.1.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
       <para>August 31st, 2012</para>
       <itemizedlist>
@@ -356,7 +347,4 @@
       <para>August 29th, 2012</para>
       <itemizedlist>
-        <listitem>
-          <para>[krejzi] Added Harfbuz 0.9.3.</para>
-        </listitem>
         <listitem>
           <para>[krejzi] AccountsService 0.6.24.</para>
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision 09396b55bcfdf8d2b7631000926b31c19244f13d)
+++ multimedia/libdriv/gst10-libav.xml	(revision 09396b55bcfdf8d2b7631000926b31c19244f13d)
@@ -0,0 +1,132 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gst10-libav-download-http "&gstreamer-dl;/gst-libav/gst-libav-&gst10-libav-version;.tar.xz">
+  <!ENTITY gst10-libav-download-ftp  " ">
+  <!ENTITY gst10-libav-md5sum        "8e6eef583ca22c2e1021a76c80ea3fb7">
+  <!ENTITY gst10-libav-size          "4.1 MB">
+  <!ENTITY gst10-libav-buildsize     "295 MB">
+  <!ENTITY gst10-libav-time          "2.5 SBU">
+]>
+
+<sect1 id="gst10-libav" xreflabel="gst-libav-&gst10-libav-version;">
+  <?dbhtml filename="gst10-libav.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>gst-libav-&gst10-libav-version;</title>
+
+  <indexterm zone="gst10-libav">
+    <primary sortas="a-gst-libav">gst-libav</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to GStreamer Libav</title>
+
+    <para>
+      The <application>GStreamer Libav</application> package contains
+      <application>GStreamer</application> plugins for
+      <application>Libav</application> (a fork of
+      <application>FFmpeg</application>).
+    </para>
+
+    &lfs72_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&gst10-libav-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&gst10-libav-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &gst10-libav-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &gst10-libav-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &gst10-libav-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &gst10-libav-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">GStreamer Libav Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gst10-plugins-base"/> and
+      <xref linkend="yasm"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <ulink url="http://code.entropywave.com/projects/orc/">ORC</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/gst10-libav"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of GStreamer Libav</title>
+
+    <para>
+      Install <application>GStreamer Libav</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr \
+            --with-package-name="GStreamer Libav Plugins &gst10-libav-version; BLFS" \
+            --with-package-origin="http://www.linuxfromscratch.org/blfs/view/svn/" &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Libraries</segtitle>
+
+      <seglistitem>
+        <seg>
+          Several plugins in /usr/lib/gstreamer-1.0
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+</sect1>
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision 74f73edeadda9340dbe0f07b493eb60171030b00)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 09396b55bcfdf8d2b7631000926b31c19244f13d)
@@ -7,8 +7,8 @@
   <!ENTITY gst10-plugins-bad-download-http "&gstreamer-dl;/gst-plugins-bad/gst-plugins-bad-&gst10-plugins-bad-version;.tar.xz">
   <!ENTITY gst10-plugins-bad-download-ftp  " ">
-  <!ENTITY gst10-plugins-bad-md5sum        "e96c68b2842f980463f39f10f4f56d06">
-  <!ENTITY gst10-plugins-bad-size          "2.9 MB">
-  <!ENTITY gst10-plugins-bad-buildsize     "90 MB">
-  <!ENTITY gst10-plugins-bad-time          "1.0 SBU">
+  <!ENTITY gst10-plugins-bad-md5sum        "f5a3e3f579e161e70c6207354a728a49">
+  <!ENTITY gst10-plugins-bad-size          "3.0 MB">
+  <!ENTITY gst10-plugins-bad-buildsize     "100 MB">
+  <!ENTITY gst10-plugins-bad-time          "0.8 SBU">
 ]>
 
@@ -86,5 +86,6 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="libvpx"/> and
+      <xref linkend="libdvdread"/>,
+      <xref linkend="libdvdnav"/> and
       <xref linkend="soundtouch"/>
     </para>
Index: multimedia/libdriv/gst10-plugins-base.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-base.xml	(revision 74f73edeadda9340dbe0f07b493eb60171030b00)
+++ multimedia/libdriv/gst10-plugins-base.xml	(revision 09396b55bcfdf8d2b7631000926b31c19244f13d)
@@ -8,8 +8,8 @@
            "&gstreamer-dl;/gst-plugins-base/gst-plugins-base-&gst10-plugins-base-version;.tar.xz">
   <!ENTITY gst10-plugins-base-download-ftp  " ">
-  <!ENTITY gst10-plugins-base-md5sum        "2fadc76bb0e6df5fd2aceae90ed5a3ee">
+  <!ENTITY gst10-plugins-base-md5sum        "0419f3e3ccdc33e2cbebb26255ead2cf">
   <!ENTITY gst10-plugins-base-size          "2.3 MB">
   <!ENTITY gst10-plugins-base-buildsize     "110 MB">
-  <!ENTITY gst10-plugins-base-time          "1.8 SBU">
+  <!ENTITY gst10-plugins-base-time          "1.2 SBU">
 ]>
 
Index: multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good.xml	(revision 74f73edeadda9340dbe0f07b493eb60171030b00)
+++ multimedia/libdriv/gst10-plugins-good.xml	(revision 09396b55bcfdf8d2b7631000926b31c19244f13d)
@@ -7,8 +7,8 @@
   <!ENTITY gst10-plugins-good-download-http "&gstreamer-dl;/gst-plugins-good/gst-plugins-good-&gst-plugins-good-version;.tar.xz">
   <!ENTITY gst10-plugins-good-download-ftp  " ">
-  <!ENTITY gst10-plugins-good-md5sum        "41b3abd1b0a95e7ce7911776f5feb0cf">
+  <!ENTITY gst10-plugins-good-md5sum        "762bd204e361a70aa3f262ee8e457519">
   <!ENTITY gst10-plugins-good-size          "2.6 MB">
   <!ENTITY gst10-plugins-good-buildsize     "110 MB">
-  <!ENTITY gst10-plugins-good-time          "1.8 SBU">
+  <!ENTITY gst10-plugins-good-time          "1.2 SBU">
 ]>
 
@@ -87,7 +87,9 @@
     <para role="recommended">
       <xref linkend="flac"/>,
+      <xref linkend="gdk-pixbuf"/>,
       <xref linkend="libjpeg"/>,
       <xref linkend="libpng"/>,
-      <xref linkend="libsoup"/> and
+      <xref linkend="libsoup"/>,
+      <xref linkend="libvpx"/> and
       <xref linkend="xorg7-lib"/>
     </para>
@@ -109,6 +111,5 @@
       <ulink url="http://wavpack.com/">WavPack</ulink>
       <!-- Not ported
-      <xref linkend="cairo"/>
-      <xref linkend="gdk-pixbuf"/> -->
+      <xref linkend="cairo"/> -->
     </para>
 
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision 09396b55bcfdf8d2b7631000926b31c19244f13d)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 09396b55bcfdf8d2b7631000926b31c19244f13d)
@@ -0,0 +1,153 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gst10-plugins-ugly-download-http "&gstreamer-dl;/gst-plugins-ugly/gst-plugins-ugly-&gst10-plugins-ugly-version;.tar.xz">
+  <!ENTITY gst10-plugins-ugly-download-ftp  " ">
+  <!ENTITY gst10-plugins-ugly-md5sum        "fc20da880285a9a746736028393daaed">
+  <!ENTITY gst10-plugins-ugly-size          "804 KB">
+  <!ENTITY gst10-plugins-ugly-buildsize     "20 MB">
+  <!ENTITY gst10-plugins-ugly-time          "0.1 SBU">
+]>
+
+<sect1 id="gst10-plugins-ugly" xreflabel="gst-plugins-ugly-&gst10-plugins-ugly-version;">
+  <?dbhtml filename="gst10-plugins-ugly.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>gst-plugins-ugly-&gst10-plugins-ugly-version;</title>
+
+  <indexterm zone="gst10-plugins-ugly">
+    <primary sortas="a-gst-plugins-ugly">gst-plugins-ugly</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to GStreamer Ugly Plug-ins</title>
+
+    <para>
+      The <application>GStreamer Ugly Plug-ins</application> is a set of plug-ins
+      considered by the <application>GStreamer</application> developers to have
+      good quality and correct functionality, but distributing them might pose problems.
+      The license on either the plug-ins or the supporting libraries might not be how
+      the <application>GStreamer</application> developers would like. The code might
+      be widely known to present patent problems. <application>GStreamer</application>
+      1.0 series are not API nor ABI compatible with <application>GStreamer</application>
+      0.10 series, so both can co-exist on the same system.
+    </para>
+
+    &lfs72_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&gst10-plugins-ugly-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&gst10-plugins-ugly-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &gst10-plugins-ugly-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &gst10-plugins-ugly-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &gst10-plugins-ugly-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &gst10-plugins-ugly-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">GStreamer Ugly Plug-ins Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gst10-plugins-base"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="lame"/> and
+      <xref linkend="libdvdread"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="liba52"/>,
+      <xref linkend="libmad"/>,
+      <xref linkend="libmpeg2"/>,
+      <ulink url="http://ftp.gnu.org/gnu/libcdio/">libcdio</ulink>,
+      <ulink url="http://packages.debian.org/source/sid/libsidplay">libsidplay</ulink>,
+      <ulink url="http://sourceforge.net/projects/opencore-amr/">OpenCore AMR</ulink>,
+      <ulink url="http://code.entropywave.com/orc/">ORC</ulink>,
+      <ulink url="http://sourceforge.net/projects/twolame/">TwoLame</ulink> and
+      <ulink url="http://www.videolan.org/developers/x264.html">x264</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/gst10-plugins-ugly"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of GStreamer Ugly Plug-ins</title>
+
+    <para>
+      Install <application>GStreamer Ugly Plug-ins</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr \
+            --with-package-name="GStreamer Ugly Plugins &gst10-plugins-ugly-version; BLFS" \
+            --with-package-origin="http://www.linuxfromscratch.org/blfs/view/svn/" &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>
+          Several plugins in /usr/lib/gstreamer-1.0
+        </seg>
+        <seg>
+          /usr/share/gstreamer-1.0/presets
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+</sect1>
Index: multimedia/libdriv/gstreamer10.xml
===================================================================
--- multimedia/libdriv/gstreamer10.xml	(revision 74f73edeadda9340dbe0f07b493eb60171030b00)
+++ multimedia/libdriv/gstreamer10.xml	(revision 09396b55bcfdf8d2b7631000926b31c19244f13d)
@@ -7,8 +7,8 @@
   <!ENTITY gstreamer10-download-http "&gstreamer-dl;/gstreamer/gstreamer-&gstreamer10-version;.tar.xz">
   <!ENTITY gstreamer10-download-ftp  " ">
-  <!ENTITY gstreamer10-md5sum        "b6f4970c80026d5f28598fbba8b6d521">
+  <!ENTITY gstreamer10-md5sum        "5388d6ff684c314bdfcfe25e550812e4">
   <!ENTITY gstreamer10-size          "3.0 MB">
   <!ENTITY gstreamer10-buildsize     "75 MB">
-  <!ENTITY gstreamer10-time          "1.0 SBU">
+  <!ENTITY gstreamer10-time          "0.8 SBU">
 ]>
 
Index: multimedia/libdriv/libdriv.xml
===================================================================
--- multimedia/libdriv/libdriv.xml	(revision 74f73edeadda9340dbe0f07b493eb60171030b00)
+++ multimedia/libdriv/libdriv.xml	(revision 09396b55bcfdf8d2b7631000926b31c19244f13d)
@@ -44,5 +44,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gst10-plugins-base.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gst10-plugins-good.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gst10-plugins-bad.xml"/> -->
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gst10-plugins-bad.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gst10-plugins-ugly.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gst10-libav.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="liba52.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libao.xml"/>
@@ -58,5 +60,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libmusicbrainz.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libmusicbrainz3.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libmusicbrainz5.xml"/>
+<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libmusicbrainz5.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libogg.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libquicktime.xml"/>