Index: postlfs/config/bootdisk.xml
===================================================================
--- postlfs/config/bootdisk.xml	(revision bb363985ba1eec993290d4c14d863b45fe67f64c)
+++ postlfs/config/bootdisk.xml	(revision 9491ec6bae77a8e8b8ec7a67836e736ca41d50e0)
@@ -1,8 +1,8 @@
 <sect1 id="postlfs-config-bootdisk">
 <?dbhtml filename="bootdisk.html" dir="postlfs"?>
-<title>Creating a Custom Bootdisk</title>
+<title>Creating a Custom Boot Disk</title>
 
 <sect2>
-<title>Decent Rescue Bootdisk Needs</title>
+<title>Decent Rescue Boot Disk Needs</title>
 <para>This section is really about creating a <emphasis>rescue</emphasis>
 diskette.  As the name <emphasis>rescue</emphasis> implies, the host
@@ -16,6 +16,6 @@
 dependency on the host system's resources, other than basic bootability
 and hardware soundness.  At a minimum, the most common sorts of failures
-requiring a rescue bootdisk should be addressed by the contents of the
-bootdisk.  This would include the common loss of partitioning (master
+requiring a rescue boot disk should be addressed by the contents of the
+boot disk.  This would include the common loss of partitioning (master
 boot record is lost or corrupted), file system corruption, and the need
 to allow creation and editing of files that may have been lost or
@@ -30,5 +30,5 @@
 <title>This Minimal Decent Rescue Disk</title>
 
-<para>The intent here is to create a "rescue bootdisk" that will support
+<para>The intent here is to create a "rescue boot disk" that will support
 the common operations listed above.  These functions are provided by
 including selected executables from <application><ulink
@@ -48,5 +48,5 @@
 
 <sect2>
-<title>Build the Rescue Bootdisk</title>
+<title>Build the Rescue Boot Disk</title>
 <sect3>
 <title>Prerequisites</title>
@@ -239,5 +239,6 @@
 
 <para><emphasis>You must modify this to suit your kernel configuration and
-other needs.</emphasis>  For example, you may need scsi devices and may not need
+other needs.</emphasis>  For example, you may need
+<acronym>SCSI</acronym> devices and may not need
 frame buffer devices or the pseudo-terminal directory.  Also, the number
 of hard drives and partitions that you include should be the minimal
@@ -268,5 +269,5 @@
 diskette.  Every little bit helps.  The strategy taken here is to create
 these two files as part of the rescue boot and initialization process.
-The commands that make the two files will be imbedded inside the
+The commands that make the two files will be embedded inside the
 <filename>rcS</filename> script that <filename>linuxrc</filename>
 (really <application><ulink
@@ -640,5 +641,5 @@
 
 <para>That's all there is to it. The possibilities from here are limited only
-by your imagination and tenacity in pursueing enhancements. And your
+by your imagination and tenacity in pursuing enhancements. And your
 willingness to research available documentation. A good starting point
 is the "Documentation" directory in your kernel source tree. More help
Index: postlfs/config/compressdoc.xml
===================================================================
--- postlfs/config/compressdoc.xml	(revision bb363985ba1eec993290d4c14d863b45fe67f64c)
+++ postlfs/config/compressdoc.xml	(revision 9491ec6bae77a8e8b8ec7a67836e736ca41d50e0)
@@ -23,5 +23,5 @@
 # to accept compression/decompression, to correctly handle hard-links,
 # to allow for changing hard-links into soft- ones, to specify the
-# compression level, to parse the man.conf for all occurences of MANPATH,
+# compression level, to parse the man.conf for all occurrences of MANPATH,
 # to allow for a backup, to allow to keep the newest version of a page.
 #
@@ -32,5 +32,5 @@
 #          tool : gzip or bzip2;
 #        - when a MANPATH env var exists, use this instead of /etc/man.conf
-#          (usefull for users to (de)compress their man pages;
+#          (useful for users to (de)compress their man pages;
 #        - offer an option to restore a previous backup;
 #        - add other compression engines (compress, zip, etc?). Needed?
@@ -82,5 +82,5 @@
                 directories.
                 When empty, and only then, parse ${MAN_CONF}/man.conf for all
-                occurences of MANPATH.
+                occurrences of MANPATH.
 
 Note about compression
@@ -91,5 +91,5 @@
   big being very dependent on the content of the files.
 
-  See the original thread begining at :
+  See the original thread beginning at :
 http://archive.linuxfromscratch.org/mail-archives/blfs-support/2003/04/0424.html
 
@@ -291,5 +291,5 @@
 fi
 
-# In backup mode, do the backup sollely
+# In backup mode, do the backup solely
 if [ "$BACKUP" = "yes" ]; then
   for DIR in $MAN_DIR; do
@@ -358,5 +358,5 @@
 
         # Now take care of the file that has no hard-link
-        # We do decompress first to recompress with the selected
+        # We do decompress first to re-compress with the selected
         # compression ratio later on...
         case $FILE in
Index: postlfs/config/skel.xml
===================================================================
--- postlfs/config/skel.xml	(revision bb363985ba1eec993290d4c14d863b45fe67f64c)
+++ postlfs/config/skel.xml	(revision 9491ec6bae77a8e8b8ec7a67836e736ca41d50e0)
@@ -90,5 +90,5 @@
 send output there instead and then just copy the file from
 <filename class="directory">/etc/skel</filename> to the appropriate directories, like
-<filename class="directory">/etc</filename>, <filename class="directory">~</filename> or the home directoriy
+<filename class="directory">/etc</filename>, <filename class="directory">~</filename> or the home directory
 of any other user already in the system.</para>
 
Index: postlfs/filesystems/ext3.xml
===================================================================
--- postlfs/filesystems/ext3.xml	(revision bb363985ba1eec993290d4c14d863b45fe67f64c)
+++ postlfs/filesystems/ext3.xml	(revision 9491ec6bae77a8e8b8ec7a67836e736ca41d50e0)
@@ -3,6 +3,6 @@
 <title>Ext3</title>
 
-<para>Ext3 is a journaling filesystem that is an extension to the ext2
-filesystem. It is backward compatible with ext2 and the conversion from ext2
+<para>Ext3 is a journaling file system that is an extension to the ext2
+file system. It is backward compatible with ext2 and the conversion from ext2
 to ext3 is trivial.</para>
 
Index: postlfs/filesystems/filesystems.xml
===================================================================
--- postlfs/filesystems/filesystems.xml	(revision bb363985ba1eec993290d4c14d863b45fe67f64c)
+++ postlfs/filesystems/filesystems.xml	(revision 9491ec6bae77a8e8b8ec7a67836e736ca41d50e0)
@@ -3,9 +3,9 @@
 <title>Filesystems</title>
 
-<para>Journaling filesystems reduce the time needed to recover a
-filesystem that was not unmounted properly.  While this can be extremely
+<para>Journaling file systems reduce the time needed to recover a
+file system that was not unmounted properly.  While this can be extremely
 important in reducing downtime for servers, it has also become popular for
 desktop environments.  This chapter contains a variety of journaling
-filesystems.</para>
+file systems.</para>
 
 &postlfs-filesystems-ext3;
Index: postlfs/filesystems/reiser/reiser-desc.xml
===================================================================
--- postlfs/filesystems/reiser/reiser-desc.xml	(revision bb363985ba1eec993290d4c14d863b45fe67f64c)
+++ postlfs/filesystems/reiser/reiser-desc.xml	(revision 9491ec6bae77a8e8b8ec7a67836e736ca41d50e0)
@@ -13,7 +13,7 @@
 <sect3><title>debugreiserfs</title>
 <para><command>debugreiserfs</command> can sometimes help to solve problems 
-with <application>ReiserFS</application> filesystems.  If it is called without 
+with <application>ReiserFS</application> file systems.  If it is called without 
 options it prints the super 
-block of any reiserfs filesystem found on the device.</para></sect3>
+block of any reiserfs file system found on the device.</para></sect3>
 
 <sect3><title>mkreiserfs</title>
@@ -40,5 +40,5 @@
 <para>The <command>unpack</command> utility can be used to dump
 <application>ReiserFS</application> 
-filesystem information to files for debugging, much like
+file system information to files for debugging, much like
 <command>debugreiserfs</command>.
 </para></sect3>
Index: postlfs/filesystems/reiser/reiser-intro.xml
===================================================================
--- postlfs/filesystems/reiser/reiser-intro.xml	(revision bb363985ba1eec993290d4c14d863b45fe67f64c)
+++ postlfs/filesystems/reiser/reiser-intro.xml	(revision 9491ec6bae77a8e8b8ec7a67836e736ca41d50e0)
@@ -3,5 +3,5 @@
 
 <para>The <application>ReiserFS</application> package contains various 
-utilities for use with the Reiser filesystem.</para>
+utilities for use with the Reiser file system.</para>
 
 <sect3><title>Package information</title>
Index: postlfs/filesystems/xfs/xfs-desc.xml
===================================================================
--- postlfs/filesystems/xfs/xfs-desc.xml	(revision bb363985ba1eec993290d4c14d863b45fe67f64c)
+++ postlfs/filesystems/xfs/xfs-desc.xml	(revision 9491ec6bae77a8e8b8ec7a67836e736ca41d50e0)
@@ -15,14 +15,14 @@
 
 <sect3><title>xfsgrowfs</title>
-<para><command>xfsgrowfs</command> expands an <acronym>XFS</acronym> filesystem.
+<para><command>xfsgrowfs</command> expands an <acronym>XFS</acronym> file system.
 </para></sect3>
 
 <sect3><title>xfs_admin</title>
 <para><command>xfs_admin</command> changes the parameters of an <acronym>XFS
-</acronym> filesystem.</para></sect3>
+</acronym> file system.</para></sect3>
 
 
 <sect3><title>xfs_freeze</title>
-<para><command>xfs_freeze</command> suspends access to an <acronym>XFS</acronym> filesystem.</para></sect3>
+<para><command>xfs_freeze</command> suspends access to an <acronym>XFS</acronym> file system.</para></sect3>
 
 
@@ -33,5 +33,5 @@
 
 <sect3><title>xfs_check</title>
-<para><command>xfs_check</command> checks <acronym>XFS</acronym> filesystem 
+<para><command>xfs_check</command> checks <acronym>XFS</acronym> file system 
 consistency.</para>
 </sect3>
@@ -43,27 +43,27 @@
 <sect3><title>xfs_rtcp</title>
 <para><command>xfs_rtcp</command> copies a file to the real-time
-partition on an <acronym>XFS</acronym> filesystem.</para></sect3>
+partition on an <acronym>XFS</acronym> file system.</para></sect3>
 
 
 <sect3><title>xfs_repair</title>
 <para><command>xfs_repair</command> repairs corrupt or damaged <acronym>XFS
-</acronym>filesystems.</para></sect3>
+</acronym>file systems.</para></sect3>
 
 
 <sect3><title>xfs_db</title>
 <para><command>xfs_db</command> is used to debug an <acronym>XFS</acronym> 
-filesystem.</para></sect3>
+file system.</para></sect3>
 
 <sect3><title>xfs_logprint</title>
 <para><command>xfs_logprint</command> prints the log of an <acronym>XFS
-</acronym> filesystem.</para></sect3>
+</acronym> file system.</para></sect3>
 
 <sect3><title>xfs_ncheck</title>
 <para><command>xfs_ncheck</command> generates pathnames from inode numbers for 
-an <acronym>XFS</acronym> filesystem.</para></sect3>
+an <acronym>XFS</acronym> file system.</para></sect3>
 
 <sect3><title>mkfs.xfs</title>
 <para><command>mkfs.xfs</command> constructs an <acronym>XFS</acronym> 
-filesystem.</para></sect3>
+file system.</para></sect3>
 
 <sect3><title>fsck.xfs</title>
Index: postlfs/filesystems/xfs/xfs-intro.xml
===================================================================
--- postlfs/filesystems/xfs/xfs-intro.xml	(revision bb363985ba1eec993290d4c14d863b45fe67f64c)
+++ postlfs/filesystems/xfs/xfs-intro.xml	(revision 9491ec6bae77a8e8b8ec7a67836e736ca41d50e0)
@@ -3,5 +3,5 @@
 
 <para>The <application>XFS</application> package contains administration 
-and debugging tools for the <acronym>XFS</acronym> filesystem.</para>
+and debugging tools for the <acronym>XFS</acronym> file system.</para>
 
 <sect3><title>Package information</title>
Index: postlfs/filesystems/xfs/xfs-patch.xml
===================================================================
--- postlfs/filesystems/xfs/xfs-patch.xml	(revision bb363985ba1eec993290d4c14d863b45fe67f64c)
+++ postlfs/filesystems/xfs/xfs-patch.xml	(revision 9491ec6bae77a8e8b8ec7a67836e736ca41d50e0)
@@ -3,5 +3,5 @@
 
 <para>The <acronym>XFS</acronym> kernel patch must be applied to use
-<acronym>XFS</acronym> filesystems.</para>
+<acronym>XFS</acronym> file systems.</para>
 
 <sect3><title>Package information</title>
Index: postlfs/security/firewalling/kernel.xml
===================================================================
--- postlfs/security/firewalling/kernel.xml	(revision bb363985ba1eec993290d4c14d863b45fe67f64c)
+++ postlfs/security/firewalling/kernel.xml	(revision 9491ec6bae77a8e8b8ec7a67836e736ca41d50e0)
@@ -18,5 +18,5 @@
 
 <screen>Network options menu
-  Network paket filtering:                          Y
+  Network packet filtering:                         Y
   Unix domain sockets:                         Y or M
   TCP/IP networking:                                Y
Index: postlfs/security/shadow.xml
===================================================================
--- postlfs/security/shadow.xml	(revision bb363985ba1eec993290d4c14d863b45fe67f64c)
+++ postlfs/security/shadow.xml	(revision 9491ec6bae77a8e8b8ec7a67836e736ca41d50e0)
@@ -19,5 +19,5 @@
 <screen><userinput>MD5_CRYPT_ENAB yes</userinput></screen>
 Passwords created after this change will be encrypted using
-<acronym>MD</acronym>5 (Message-Digest Algroithm) instead of using 
+<acronym>MD</acronym>5 (Message-Digest Algorithm) instead of using 
 <acronym>DES</acronym> encryption.
 </para>
Index: postlfs/security/tripwire/tripwire-config.xml
===================================================================
--- postlfs/security/tripwire/tripwire-config.xml	(revision bb363985ba1eec993290d4c14d863b45fe67f64c)
+++ postlfs/security/tripwire/tripwire-config.xml	(revision 9491ec6bae77a8e8b8ec7a67836e736ca41d50e0)
@@ -29,5 +29,5 @@
 /usr/share/doc/tripwire/policyguide.txt</filename>. <filename>twpol.txt
 </filename> is a good policy file for beginners as it will note any changes to 
-the filesystem and can even be used as an annoying way of keeping track of 
+the file system and can even be used as an annoying way of keeping track of 
 changes for uninstallation of software.</para>
 